/**
 * @file
 * @ingroup workerframeenc
 * @brief Dicop Project - Character encoding tables for UTF-8
 *  
 * @english
 *
 * <b>This file has been automatically generated by <code>build/gen_tables.pl</code>.
 * Do not edit, all changes are lost!</b>
 *
 * @endenglish
 *
 * @deutsch
 *
 * <b>Diese Datei wurde automatisch generiert von <code>build/gen_tables.pl</code>.
 * Hier nicht editieren, da alle &Auml;nderungen verloren gehen!</b>
 *
 * @enddeutsch
 *
 * Used: Perl v5.010000, Encode v2.23
 *  
 * @version 0.02 
 * @date Thu Sep 25 11:42:55 2008
 *  
 * @copydoc copyrighttext
*/

#ifndef DICOP_UTF8_H
#define DICOP_UTF8_H

/** Map start byte to number of continuation bytes for UTF-8 */
long utf8_followers[256] = {
  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, -1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 5, 5
  };
/** How many entries are in the case folding map? */
#define CASE_FOLDINGS 2070

/** Map UPPERCASE to lowercase for UTF-8 */
unsigned long utf8_to_lower[CASE_FOLDINGS] = {
  0x41UL, 0x61UL, 0x42UL, 0x62UL, 0x43UL, 0x63UL, 0x44UL, 0x64UL, 0x45UL, 0x65UL, 
  0x46UL, 0x66UL, 0x47UL, 0x67UL, 0x48UL, 0x68UL, 0x49UL, 0x69UL, 0x4aUL, 0x6aUL, 
  0x4bUL, 0x6bUL, 0x4cUL, 0x6cUL, 0x4dUL, 0x6dUL, 0x4eUL, 0x6eUL, 0x4fUL, 0x6fUL, 
  0x50UL, 0x70UL, 0x51UL, 0x71UL, 0x52UL, 0x72UL, 0x53UL, 0x73UL, 0x54UL, 0x74UL, 
  0x55UL, 0x75UL, 0x56UL, 0x76UL, 0x57UL, 0x77UL, 0x58UL, 0x78UL, 0x59UL, 0x79UL, 
  0x5aUL, 0x7aUL, 0xb5c2UL, 0xbcceUL, 0x80c3UL, 0xa0c3UL, 0x81c3UL, 0xa1c3UL, 
  0x82c3UL, 0xa2c3UL, 0x83c3UL, 0xa3c3UL, 0x84c3UL, 0xa4c3UL, 0x85c3UL, 0xa5c3UL, 
  0x86c3UL, 0xa6c3UL, 0x87c3UL, 0xa7c3UL, 0x88c3UL, 0xa8c3UL, 0x89c3UL, 0xa9c3UL, 
  0x8ac3UL, 0xaac3UL, 0x8bc3UL, 0xabc3UL, 0x8cc3UL, 0xacc3UL, 0x8dc3UL, 0xadc3UL, 
  0x8ec3UL, 0xaec3UL, 0x8fc3UL, 0xafc3UL, 0x90c3UL, 0xb0c3UL, 0x91c3UL, 0xb1c3UL, 
  0x92c3UL, 0xb2c3UL, 0x93c3UL, 0xb3c3UL, 0x94c3UL, 0xb4c3UL, 0x95c3UL, 0xb5c3UL, 
  0x96c3UL, 0xb6c3UL, 0x98c3UL, 0xb8c3UL, 0x99c3UL, 0xb9c3UL, 0x9ac3UL, 0xbac3UL, 
  0x9bc3UL, 0xbbc3UL, 0x9cc3UL, 0xbcc3UL, 0x9dc3UL, 0xbdc3UL, 0x9ec3UL, 0xbec3UL, 
  0x80c4UL, 0x81c4UL, 0x82c4UL, 0x83c4UL, 0x84c4UL, 0x85c4UL, 0x86c4UL, 0x87c4UL, 
  0x88c4UL, 0x89c4UL, 0x8ac4UL, 0x8bc4UL, 0x8cc4UL, 0x8dc4UL, 0x8ec4UL, 0x8fc4UL, 
  0x90c4UL, 0x91c4UL, 0x92c4UL, 0x93c4UL, 0x94c4UL, 0x95c4UL, 0x96c4UL, 0x97c4UL, 
  0x98c4UL, 0x99c4UL, 0x9ac4UL, 0x9bc4UL, 0x9cc4UL, 0x9dc4UL, 0x9ec4UL, 0x9fc4UL, 
  0xa0c4UL, 0xa1c4UL, 0xa2c4UL, 0xa3c4UL, 0xa4c4UL, 0xa5c4UL, 0xa6c4UL, 0xa7c4UL, 
  0xa8c4UL, 0xa9c4UL, 0xaac4UL, 0xabc4UL, 0xacc4UL, 0xadc4UL, 0xaec4UL, 0xafc4UL, 
  0xb2c4UL, 0xb3c4UL, 0xb4c4UL, 0xb5c4UL, 0xb6c4UL, 0xb7c4UL, 0xb9c4UL, 0xbac4UL, 
  0xbbc4UL, 0xbcc4UL, 0xbdc4UL, 0xbec4UL, 0xbfc4UL, 0x80c5UL, 0x81c5UL, 0x82c5UL, 
  0x83c5UL, 0x84c5UL, 0x85c5UL, 0x86c5UL, 0x87c5UL, 0x88c5UL, 0x8ac5UL, 0x8bc5UL, 
  0x8cc5UL, 0x8dc5UL, 0x8ec5UL, 0x8fc5UL, 0x90c5UL, 0x91c5UL, 0x92c5UL, 0x93c5UL, 
  0x94c5UL, 0x95c5UL, 0x96c5UL, 0x97c5UL, 0x98c5UL, 0x99c5UL, 0x9ac5UL, 0x9bc5UL, 
  0x9cc5UL, 0x9dc5UL, 0x9ec5UL, 0x9fc5UL, 0xa0c5UL, 0xa1c5UL, 0xa2c5UL, 0xa3c5UL, 
  0xa4c5UL, 0xa5c5UL, 0xa6c5UL, 0xa7c5UL, 0xa8c5UL, 0xa9c5UL, 0xaac5UL, 0xabc5UL, 
  0xacc5UL, 0xadc5UL, 0xaec5UL, 0xafc5UL, 0xb0c5UL, 0xb1c5UL, 0xb2c5UL, 0xb3c5UL, 
  0xb4c5UL, 0xb5c5UL, 0xb6c5UL, 0xb7c5UL, 0xb8c5UL, 0xbfc3UL, 0xb9c5UL, 0xbac5UL, 
  0xbbc5UL, 0xbcc5UL, 0xbdc5UL, 0xbec5UL, 0xbfc5UL, 0x73UL, 0x81c6UL, 0x93c9UL, 
  0x82c6UL, 0x83c6UL, 0x84c6UL, 0x85c6UL, 0x86c6UL, 0x94c9UL, 0x87c6UL, 0x88c6UL, 
  0x89c6UL, 0x96c9UL, 0x8ac6UL, 0x97c9UL, 0x8bc6UL, 0x8cc6UL, 0x8ec6UL, 0x9dc7UL, 
  0x8fc6UL, 0x99c9UL, 0x90c6UL, 0x9bc9UL, 0x91c6UL, 0x92c6UL, 0x93c6UL, 0xa0c9UL, 
  0x94c6UL, 0xa3c9UL, 0x96c6UL, 0xa9c9UL, 0x97c6UL, 0xa8c9UL, 0x98c6UL, 0x99c6UL, 
  0x9cc6UL, 0xafc9UL, 0x9dc6UL, 0xb2c9UL, 0x9fc6UL, 0xb5c9UL, 0xa0c6UL, 0xa1c6UL, 
  0xa2c6UL, 0xa3c6UL, 0xa4c6UL, 0xa5c6UL, 0xa6c6UL, 0x80caUL, 0xa7c6UL, 0xa8c6UL, 
  0xa9c6UL, 0x83caUL, 0xacc6UL, 0xadc6UL, 0xaec6UL, 0x88caUL, 0xafc6UL, 0xb0c6UL, 
  0xb1c6UL, 0x8acaUL, 0xb2c6UL, 0x8bcaUL, 0xb3c6UL, 0xb4c6UL, 0xb5c6UL, 0xb6c6UL, 
  0xb7c6UL, 0x92caUL, 0xb8c6UL, 0xb9c6UL, 0xbcc6UL, 0xbdc6UL, 0x84c7UL, 0x86c7UL, 
  0x85c7UL, 0x86c7UL, 0x87c7UL, 0x89c7UL, 0x88c7UL, 0x89c7UL, 0x8ac7UL, 0x8cc7UL, 
  0x8bc7UL, 0x8cc7UL, 0x8dc7UL, 0x8ec7UL, 0x8fc7UL, 0x90c7UL, 0x91c7UL, 0x92c7UL, 
  0x93c7UL, 0x94c7UL, 0x95c7UL, 0x96c7UL, 0x97c7UL, 0x98c7UL, 0x99c7UL, 0x9ac7UL, 
  0x9bc7UL, 0x9cc7UL, 0x9ec7UL, 0x9fc7UL, 0xa0c7UL, 0xa1c7UL, 0xa2c7UL, 0xa3c7UL, 
  0xa4c7UL, 0xa5c7UL, 0xa6c7UL, 0xa7c7UL, 0xa8c7UL, 0xa9c7UL, 0xaac7UL, 0xabc7UL, 
  0xacc7UL, 0xadc7UL, 0xaec7UL, 0xafc7UL, 0xb1c7UL, 0xb3c7UL, 0xb2c7UL, 0xb3c7UL, 
  0xb4c7UL, 0xb5c7UL, 0xb6c7UL, 0x95c6UL, 0xb7c7UL, 0xbfc6UL, 0xb8c7UL, 0xb9c7UL, 
  0xbac7UL, 0xbbc7UL, 0xbcc7UL, 0xbdc7UL, 0xbec7UL, 0xbfc7UL, 0x80c8UL, 0x81c8UL, 
  0x82c8UL, 0x83c8UL, 0x84c8UL, 0x85c8UL, 0x86c8UL, 0x87c8UL, 0x88c8UL, 0x89c8UL, 
  0x8ac8UL, 0x8bc8UL, 0x8cc8UL, 0x8dc8UL, 0x8ec8UL, 0x8fc8UL, 0x90c8UL, 0x91c8UL, 
  0x92c8UL, 0x93c8UL, 0x94c8UL, 0x95c8UL, 0x96c8UL, 0x97c8UL, 0x98c8UL, 0x99c8UL, 
  0x9ac8UL, 0x9bc8UL, 0x9cc8UL, 0x9dc8UL, 0x9ec8UL, 0x9fc8UL, 0xa0c8UL, 0x9ec6UL, 
  0xa2c8UL, 0xa3c8UL, 0xa4c8UL, 0xa5c8UL, 0xa6c8UL, 0xa7c8UL, 0xa8c8UL, 0xa9c8UL, 
  0xaac8UL, 0xabc8UL, 0xacc8UL, 0xadc8UL, 0xaec8UL, 0xafc8UL, 0xb0c8UL, 0xb1c8UL, 
  0xb2c8UL, 0xb3c8UL, 0xbac8UL, 0xa5b1e2UL, 0xbbc8UL, 0xbcc8UL, 0xbdc8UL, 0x9ac6UL, 
  0xbec8UL, 0xa6b1e2UL, 0x81c9UL, 0x82c9UL, 0x83c9UL, 0x80c6UL, 0x84c9UL, 0x89caUL, 
  0x85c9UL, 0x8ccaUL, 0x86c9UL, 0x87c9UL, 0x88c9UL, 0x89c9UL, 0x8ac9UL, 0x8bc9UL, 
  0x8cc9UL, 0x8dc9UL, 0x8ec9UL, 0x8fc9UL, 0x85cdUL, 0xb9ceUL, 0xb0cdUL, 0xb1cdUL, 
  0xb2cdUL, 0xb3cdUL, 0xb6cdUL, 0xb7cdUL, 0x86ceUL, 0xacceUL, 0x88ceUL, 0xadceUL, 
  0x89ceUL, 0xaeceUL, 0x8aceUL, 0xafceUL, 0x8cceUL, 0x8ccfUL, 0x8eceUL, 0x8dcfUL, 
  0x8fceUL, 0x8ecfUL, 0x91ceUL, 0xb1ceUL, 0x92ceUL, 0xb2ceUL, 0x93ceUL, 0xb3ceUL, 
  0x94ceUL, 0xb4ceUL, 0x95ceUL, 0xb5ceUL, 0x96ceUL, 0xb6ceUL, 0x97ceUL, 0xb7ceUL, 
  0x98ceUL, 0xb8ceUL, 0x99ceUL, 0xb9ceUL, 0x9aceUL, 0xbaceUL, 0x9bceUL, 0xbbceUL, 
  0x9cceUL, 0xbcceUL, 0x9dceUL, 0xbdceUL, 0x9eceUL, 0xbeceUL, 0x9fceUL, 0xbfceUL, 
  0xa0ceUL, 0x80cfUL, 0xa1ceUL, 0x81cfUL, 0xa3ceUL, 0x83cfUL, 0xa4ceUL, 0x84cfUL, 
  0xa5ceUL, 0x85cfUL, 0xa6ceUL, 0x86cfUL, 0xa7ceUL, 0x87cfUL, 0xa8ceUL, 0x88cfUL, 
  0xa9ceUL, 0x89cfUL, 0xaaceUL, 0x8acfUL, 0xabceUL, 0x8bcfUL, 0x82cfUL, 0x83cfUL, 
  0x8fcfUL, 0x97cfUL, 0x90cfUL, 0xb2ceUL, 0x91cfUL, 0xb8ceUL, 0x95cfUL, 0x86cfUL, 
  0x96cfUL, 0x80cfUL, 0x98cfUL, 0x99cfUL, 0x9acfUL, 0x9bcfUL, 0x9ccfUL, 0x9dcfUL, 
  0x9ecfUL, 0x9fcfUL, 0xa0cfUL, 0xa1cfUL, 0xa2cfUL, 0xa3cfUL, 0xa4cfUL, 0xa5cfUL, 
  0xa6cfUL, 0xa7cfUL, 0xa8cfUL, 0xa9cfUL, 0xaacfUL, 0xabcfUL, 0xaccfUL, 0xadcfUL, 
  0xaecfUL, 0xafcfUL, 0xb0cfUL, 0xbaceUL, 0xb1cfUL, 0x81cfUL, 0xb4cfUL, 0xb8ceUL, 
  0xb5cfUL, 0xb5ceUL, 0xb7cfUL, 0xb8cfUL, 0xb9cfUL, 0xb2cfUL, 0xbacfUL, 0xbbcfUL, 
  0xbdcfUL, 0xbbcdUL, 0xbecfUL, 0xbccdUL, 0xbfcfUL, 0xbdcdUL, 0x80d0UL, 0x90d1UL, 
  0x81d0UL, 0x91d1UL, 0x82d0UL, 0x92d1UL, 0x83d0UL, 0x93d1UL, 0x84d0UL, 0x94d1UL, 
  0x85d0UL, 0x95d1UL, 0x86d0UL, 0x96d1UL, 0x87d0UL, 0x97d1UL, 0x88d0UL, 0x98d1UL, 
  0x89d0UL, 0x99d1UL, 0x8ad0UL, 0x9ad1UL, 0x8bd0UL, 0x9bd1UL, 0x8cd0UL, 0x9cd1UL, 
  0x8dd0UL, 0x9dd1UL, 0x8ed0UL, 0x9ed1UL, 0x8fd0UL, 0x9fd1UL, 0x90d0UL, 0xb0d0UL, 
  0x91d0UL, 0xb1d0UL, 0x92d0UL, 0xb2d0UL, 0x93d0UL, 0xb3d0UL, 0x94d0UL, 0xb4d0UL, 
  0x95d0UL, 0xb5d0UL, 0x96d0UL, 0xb6d0UL, 0x97d0UL, 0xb7d0UL, 0x98d0UL, 0xb8d0UL, 
  0x99d0UL, 0xb9d0UL, 0x9ad0UL, 0xbad0UL, 0x9bd0UL, 0xbbd0UL, 0x9cd0UL, 0xbcd0UL, 
  0x9dd0UL, 0xbdd0UL, 0x9ed0UL, 0xbed0UL, 0x9fd0UL, 0xbfd0UL, 0xa0d0UL, 0x80d1UL, 
  0xa1d0UL, 0x81d1UL, 0xa2d0UL, 0x82d1UL, 0xa3d0UL, 0x83d1UL, 0xa4d0UL, 0x84d1UL, 
  0xa5d0UL, 0x85d1UL, 0xa6d0UL, 0x86d1UL, 0xa7d0UL, 0x87d1UL, 0xa8d0UL, 0x88d1UL, 
  0xa9d0UL, 0x89d1UL, 0xaad0UL, 0x8ad1UL, 0xabd0UL, 0x8bd1UL, 0xacd0UL, 0x8cd1UL, 
  0xadd0UL, 0x8dd1UL, 0xaed0UL, 0x8ed1UL, 0xafd0UL, 0x8fd1UL, 0xa0d1UL, 0xa1d1UL, 
  0xa2d1UL, 0xa3d1UL, 0xa4d1UL, 0xa5d1UL, 0xa6d1UL, 0xa7d1UL, 0xa8d1UL, 0xa9d1UL, 
  0xaad1UL, 0xabd1UL, 0xacd1UL, 0xadd1UL, 0xaed1UL, 0xafd1UL, 0xb0d1UL, 0xb1d1UL, 
  0xb2d1UL, 0xb3d1UL, 0xb4d1UL, 0xb5d1UL, 0xb6d1UL, 0xb7d1UL, 0xb8d1UL, 0xb9d1UL, 
  0xbad1UL, 0xbbd1UL, 0xbcd1UL, 0xbdd1UL, 0xbed1UL, 0xbfd1UL, 0x80d2UL, 0x81d2UL, 
  0x8ad2UL, 0x8bd2UL, 0x8cd2UL, 0x8dd2UL, 0x8ed2UL, 0x8fd2UL, 0x90d2UL, 0x91d2UL, 
  0x92d2UL, 0x93d2UL, 0x94d2UL, 0x95d2UL, 0x96d2UL, 0x97d2UL, 0x98d2UL, 0x99d2UL, 
  0x9ad2UL, 0x9bd2UL, 0x9cd2UL, 0x9dd2UL, 0x9ed2UL, 0x9fd2UL, 0xa0d2UL, 0xa1d2UL, 
  0xa2d2UL, 0xa3d2UL, 0xa4d2UL, 0xa5d2UL, 0xa6d2UL, 0xa7d2UL, 0xa8d2UL, 0xa9d2UL, 
  0xaad2UL, 0xabd2UL, 0xacd2UL, 0xadd2UL, 0xaed2UL, 0xafd2UL, 0xb0d2UL, 0xb1d2UL, 
  0xb2d2UL, 0xb3d2UL, 0xb4d2UL, 0xb5d2UL, 0xb6d2UL, 0xb7d2UL, 0xb8d2UL, 0xb9d2UL, 
  0xbad2UL, 0xbbd2UL, 0xbcd2UL, 0xbdd2UL, 0xbed2UL, 0xbfd2UL, 0x80d3UL, 0x8fd3UL, 
  0x81d3UL, 0x82d3UL, 0x83d3UL, 0x84d3UL, 0x85d3UL, 0x86d3UL, 0x87d3UL, 0x88d3UL, 
  0x89d3UL, 0x8ad3UL, 0x8bd3UL, 0x8cd3UL, 0x8dd3UL, 0x8ed3UL, 0x90d3UL, 0x91d3UL, 
  0x92d3UL, 0x93d3UL, 0x94d3UL, 0x95d3UL, 0x96d3UL, 0x97d3UL, 0x98d3UL, 0x99d3UL, 
  0x9ad3UL, 0x9bd3UL, 0x9cd3UL, 0x9dd3UL, 0x9ed3UL, 0x9fd3UL, 0xa0d3UL, 0xa1d3UL, 
  0xa2d3UL, 0xa3d3UL, 0xa4d3UL, 0xa5d3UL, 0xa6d3UL, 0xa7d3UL, 0xa8d3UL, 0xa9d3UL, 
  0xaad3UL, 0xabd3UL, 0xacd3UL, 0xadd3UL, 0xaed3UL, 0xafd3UL, 0xb0d3UL, 0xb1d3UL, 
  0xb2d3UL, 0xb3d3UL, 0xb4d3UL, 0xb5d3UL, 0xb6d3UL, 0xb7d3UL, 0xb8d3UL, 0xb9d3UL, 
  0xbad3UL, 0xbbd3UL, 0xbcd3UL, 0xbdd3UL, 0xbed3UL, 0xbfd3UL, 0x80d4UL, 0x81d4UL, 
  0x82d4UL, 0x83d4UL, 0x84d4UL, 0x85d4UL, 0x86d4UL, 0x87d4UL, 0x88d4UL, 0x89d4UL, 
  0x8ad4UL, 0x8bd4UL, 0x8cd4UL, 0x8dd4UL, 0x8ed4UL, 0x8fd4UL, 0x90d4UL, 0x91d4UL, 
  0x92d4UL, 0x93d4UL, 0x94d4UL, 0x95d4UL, 0x96d4UL, 0x97d4UL, 0x98d4UL, 0x99d4UL, 
  0x9ad4UL, 0x9bd4UL, 0x9cd4UL, 0x9dd4UL, 0x9ed4UL, 0x9fd4UL, 0xa0d4UL, 0xa1d4UL, 
  0xa2d4UL, 0xa3d4UL, 0xb1d4UL, 0xa1d5UL, 0xb2d4UL, 0xa2d5UL, 0xb3d4UL, 0xa3d5UL, 
  0xb4d4UL, 0xa4d5UL, 0xb5d4UL, 0xa5d5UL, 0xb6d4UL, 0xa6d5UL, 0xb7d4UL, 0xa7d5UL, 
  0xb8d4UL, 0xa8d5UL, 0xb9d4UL, 0xa9d5UL, 0xbad4UL, 0xaad5UL, 0xbbd4UL, 0xabd5UL, 
  0xbcd4UL, 0xacd5UL, 0xbdd4UL, 0xadd5UL, 0xbed4UL, 0xaed5UL, 0xbfd4UL, 0xafd5UL, 
  0x80d5UL, 0xb0d5UL, 0x81d5UL, 0xb1d5UL, 0x82d5UL, 0xb2d5UL, 0x83d5UL, 0xb3d5UL, 
  0x84d5UL, 0xb4d5UL, 0x85d5UL, 0xb5d5UL, 0x86d5UL, 0xb6d5UL, 0x87d5UL, 0xb7d5UL, 
  0x88d5UL, 0xb8d5UL, 0x89d5UL, 0xb9d5UL, 0x8ad5UL, 0xbad5UL, 0x8bd5UL, 0xbbd5UL, 
  0x8cd5UL, 0xbcd5UL, 0x8dd5UL, 0xbdd5UL, 0x8ed5UL, 0xbed5UL, 0x8fd5UL, 0xbfd5UL, 
  0x90d5UL, 0x80d6UL, 0x91d5UL, 0x81d6UL, 0x92d5UL, 0x82d6UL, 0x93d5UL, 0x83d6UL, 
  0x94d5UL, 0x84d6UL, 0x95d5UL, 0x85d6UL, 0x96d5UL, 0x86d6UL, 0xa082e1UL, 0x80b4e2UL, 
  0xa182e1UL, 0x81b4e2UL, 0xa282e1UL, 0x82b4e2UL, 0xa382e1UL, 0x83b4e2UL, 0xa482e1UL, 
  0x84b4e2UL, 0xa582e1UL, 0x85b4e2UL, 0xa682e1UL, 0x86b4e2UL, 0xa782e1UL, 0x87b4e2UL, 
  0xa882e1UL, 0x88b4e2UL, 0xa982e1UL, 0x89b4e2UL, 0xaa82e1UL, 0x8ab4e2UL, 0xab82e1UL, 
  0x8bb4e2UL, 0xac82e1UL, 0x8cb4e2UL, 0xad82e1UL, 0x8db4e2UL, 0xae82e1UL, 0x8eb4e2UL, 
  0xaf82e1UL, 0x8fb4e2UL, 0xb082e1UL, 0x90b4e2UL, 0xb182e1UL, 0x91b4e2UL, 0xb282e1UL, 
  0x92b4e2UL, 0xb382e1UL, 0x93b4e2UL, 0xb482e1UL, 0x94b4e2UL, 0xb582e1UL, 0x95b4e2UL, 
  0xb682e1UL, 0x96b4e2UL, 0xb782e1UL, 0x97b4e2UL, 0xb882e1UL, 0x98b4e2UL, 0xb982e1UL, 
  0x99b4e2UL, 0xba82e1UL, 0x9ab4e2UL, 0xbb82e1UL, 0x9bb4e2UL, 0xbc82e1UL, 0x9cb4e2UL, 
  0xbd82e1UL, 0x9db4e2UL, 0xbe82e1UL, 0x9eb4e2UL, 0xbf82e1UL, 0x9fb4e2UL, 0x8083e1UL, 
  0xa0b4e2UL, 0x8183e1UL, 0xa1b4e2UL, 0x8283e1UL, 0xa2b4e2UL, 0x8383e1UL, 0xa3b4e2UL, 
  0x8483e1UL, 0xa4b4e2UL, 0x8583e1UL, 0xa5b4e2UL, 0x80b8e1UL, 0x81b8e1UL, 0x82b8e1UL, 
  0x83b8e1UL, 0x84b8e1UL, 0x85b8e1UL, 0x86b8e1UL, 0x87b8e1UL, 0x88b8e1UL, 0x89b8e1UL, 
  0x8ab8e1UL, 0x8bb8e1UL, 0x8cb8e1UL, 0x8db8e1UL, 0x8eb8e1UL, 0x8fb8e1UL, 0x90b8e1UL, 
  0x91b8e1UL, 0x92b8e1UL, 0x93b8e1UL, 0x94b8e1UL, 0x95b8e1UL, 0x96b8e1UL, 0x97b8e1UL, 
  0x98b8e1UL, 0x99b8e1UL, 0x9ab8e1UL, 0x9bb8e1UL, 0x9cb8e1UL, 0x9db8e1UL, 0x9eb8e1UL, 
  0x9fb8e1UL, 0xa0b8e1UL, 0xa1b8e1UL, 0xa2b8e1UL, 0xa3b8e1UL, 0xa4b8e1UL, 0xa5b8e1UL, 
  0xa6b8e1UL, 0xa7b8e1UL, 0xa8b8e1UL, 0xa9b8e1UL, 0xaab8e1UL, 0xabb8e1UL, 0xacb8e1UL, 
  0xadb8e1UL, 0xaeb8e1UL, 0xafb8e1UL, 0xb0b8e1UL, 0xb1b8e1UL, 0xb2b8e1UL, 0xb3b8e1UL, 
  0xb4b8e1UL, 0xb5b8e1UL, 0xb6b8e1UL, 0xb7b8e1UL, 0xb8b8e1UL, 0xb9b8e1UL, 0xbab8e1UL, 
  0xbbb8e1UL, 0xbcb8e1UL, 0xbdb8e1UL, 0xbeb8e1UL, 0xbfb8e1UL, 0x80b9e1UL, 0x81b9e1UL, 
  0x82b9e1UL, 0x83b9e1UL, 0x84b9e1UL, 0x85b9e1UL, 0x86b9e1UL, 0x87b9e1UL, 0x88b9e1UL, 
  0x89b9e1UL, 0x8ab9e1UL, 0x8bb9e1UL, 0x8cb9e1UL, 0x8db9e1UL, 0x8eb9e1UL, 0x8fb9e1UL, 
  0x90b9e1UL, 0x91b9e1UL, 0x92b9e1UL, 0x93b9e1UL, 0x94b9e1UL, 0x95b9e1UL, 0x96b9e1UL, 
  0x97b9e1UL, 0x98b9e1UL, 0x99b9e1UL, 0x9ab9e1UL, 0x9bb9e1UL, 0x9cb9e1UL, 0x9db9e1UL, 
  0x9eb9e1UL, 0x9fb9e1UL, 0xa0b9e1UL, 0xa1b9e1UL, 0xa2b9e1UL, 0xa3b9e1UL, 0xa4b9e1UL, 
  0xa5b9e1UL, 0xa6b9e1UL, 0xa7b9e1UL, 0xa8b9e1UL, 0xa9b9e1UL, 0xaab9e1UL, 0xabb9e1UL, 
  0xacb9e1UL, 0xadb9e1UL, 0xaeb9e1UL, 0xafb9e1UL, 0xb0b9e1UL, 0xb1b9e1UL, 0xb2b9e1UL, 
  0xb3b9e1UL, 0xb4b9e1UL, 0xb5b9e1UL, 0xb6b9e1UL, 0xb7b9e1UL, 0xb8b9e1UL, 0xb9b9e1UL, 
  0xbab9e1UL, 0xbbb9e1UL, 0xbcb9e1UL, 0xbdb9e1UL, 0xbeb9e1UL, 0xbfb9e1UL, 0x80bae1UL, 
  0x81bae1UL, 0x82bae1UL, 0x83bae1UL, 0x84bae1UL, 0x85bae1UL, 0x86bae1UL, 0x87bae1UL, 
  0x88bae1UL, 0x89bae1UL, 0x8abae1UL, 0x8bbae1UL, 0x8cbae1UL, 0x8dbae1UL, 0x8ebae1UL, 
  0x8fbae1UL, 0x90bae1UL, 0x91bae1UL, 0x92bae1UL, 0x93bae1UL, 0x94bae1UL, 0x95bae1UL, 
  0x9bbae1UL, 0xa1b9e1UL, 0x9ebae1UL, 0x9ebae1UL, 0xa0bae1UL, 0xa1bae1UL, 0xa2bae1UL, 
  0xa3bae1UL, 0xa4bae1UL, 0xa5bae1UL, 0xa6bae1UL, 0xa7bae1UL, 0xa8bae1UL, 0xa9bae1UL, 
  0xaabae1UL, 0xabbae1UL, 0xacbae1UL, 0xadbae1UL, 0xaebae1UL, 0xafbae1UL, 0xb0bae1UL, 
  0xb1bae1UL, 0xb2bae1UL, 0xb3bae1UL, 0xb4bae1UL, 0xb5bae1UL, 0xb6bae1UL, 0xb7bae1UL, 
  0xb8bae1UL, 0xb9bae1UL, 0xbabae1UL, 0xbbbae1UL, 0xbcbae1UL, 0xbdbae1UL, 0xbebae1UL, 
  0xbfbae1UL, 0x80bbe1UL, 0x81bbe1UL, 0x82bbe1UL, 0x83bbe1UL, 0x84bbe1UL, 0x85bbe1UL, 
  0x86bbe1UL, 0x87bbe1UL, 0x88bbe1UL, 0x89bbe1UL, 0x8abbe1UL, 0x8bbbe1UL, 0x8cbbe1UL, 
  0x8dbbe1UL, 0x8ebbe1UL, 0x8fbbe1UL, 0x90bbe1UL, 0x91bbe1UL, 0x92bbe1UL, 0x93bbe1UL, 
  0x94bbe1UL, 0x95bbe1UL, 0x96bbe1UL, 0x97bbe1UL, 0x98bbe1UL, 0x99bbe1UL, 0x9abbe1UL, 
  0x9bbbe1UL, 0x9cbbe1UL, 0x9dbbe1UL, 0x9ebbe1UL, 0x9fbbe1UL, 0xa0bbe1UL, 0xa1bbe1UL, 
  0xa2bbe1UL, 0xa3bbe1UL, 0xa4bbe1UL, 0xa5bbe1UL, 0xa6bbe1UL, 0xa7bbe1UL, 0xa8bbe1UL, 
  0xa9bbe1UL, 0xaabbe1UL, 0xabbbe1UL, 0xacbbe1UL, 0xadbbe1UL, 0xaebbe1UL, 0xafbbe1UL, 
  0xb0bbe1UL, 0xb1bbe1UL, 0xb2bbe1UL, 0xb3bbe1UL, 0xb4bbe1UL, 0xb5bbe1UL, 0xb6bbe1UL, 
  0xb7bbe1UL, 0xb8bbe1UL, 0xb9bbe1UL, 0xbabbe1UL, 0xbbbbe1UL, 0xbcbbe1UL, 0xbdbbe1UL, 
  0xbebbe1UL, 0xbfbbe1UL, 0x88bce1UL, 0x80bce1UL, 0x89bce1UL, 0x81bce1UL, 0x8abce1UL, 
  0x82bce1UL, 0x8bbce1UL, 0x83bce1UL, 0x8cbce1UL, 0x84bce1UL, 0x8dbce1UL, 0x85bce1UL, 
  0x8ebce1UL, 0x86bce1UL, 0x8fbce1UL, 0x87bce1UL, 0x98bce1UL, 0x90bce1UL, 0x99bce1UL, 
  0x91bce1UL, 0x9abce1UL, 0x92bce1UL, 0x9bbce1UL, 0x93bce1UL, 0x9cbce1UL, 0x94bce1UL, 
  0x9dbce1UL, 0x95bce1UL, 0xa8bce1UL, 0xa0bce1UL, 0xa9bce1UL, 0xa1bce1UL, 0xaabce1UL, 
  0xa2bce1UL, 0xabbce1UL, 0xa3bce1UL, 0xacbce1UL, 0xa4bce1UL, 0xadbce1UL, 0xa5bce1UL, 
  0xaebce1UL, 0xa6bce1UL, 0xafbce1UL, 0xa7bce1UL, 0xb8bce1UL, 0xb0bce1UL, 0xb9bce1UL, 
  0xb1bce1UL, 0xbabce1UL, 0xb2bce1UL, 0xbbbce1UL, 0xb3bce1UL, 0xbcbce1UL, 0xb4bce1UL, 
  0xbdbce1UL, 0xb5bce1UL, 0xbebce1UL, 0xb6bce1UL, 0xbfbce1UL, 0xb7bce1UL, 0x88bde1UL, 
  0x80bde1UL, 0x89bde1UL, 0x81bde1UL, 0x8abde1UL, 0x82bde1UL, 0x8bbde1UL, 0x83bde1UL, 
  0x8cbde1UL, 0x84bde1UL, 0x8dbde1UL, 0x85bde1UL, 0x99bde1UL, 0x91bde1UL, 0x9bbde1UL, 
  0x93bde1UL, 0x9dbde1UL, 0x95bde1UL, 0x9fbde1UL, 0x97bde1UL, 0xa8bde1UL, 0xa0bde1UL, 
  0xa9bde1UL, 0xa1bde1UL, 0xaabde1UL, 0xa2bde1UL, 0xabbde1UL, 0xa3bde1UL, 0xacbde1UL, 
  0xa4bde1UL, 0xadbde1UL, 0xa5bde1UL, 0xaebde1UL, 0xa6bde1UL, 0xafbde1UL, 0xa7bde1UL, 
  0x88bee1UL, 0x80bee1UL, 0x89bee1UL, 0x81bee1UL, 0x8abee1UL, 0x82bee1UL, 0x8bbee1UL, 
  0x83bee1UL, 0x8cbee1UL, 0x84bee1UL, 0x8dbee1UL, 0x85bee1UL, 0x8ebee1UL, 0x86bee1UL, 
  0x8fbee1UL, 0x87bee1UL, 0x98bee1UL, 0x90bee1UL, 0x99bee1UL, 0x91bee1UL, 0x9abee1UL, 
  0x92bee1UL, 0x9bbee1UL, 0x93bee1UL, 0x9cbee1UL, 0x94bee1UL, 0x9dbee1UL, 0x95bee1UL, 
  0x9ebee1UL, 0x96bee1UL, 0x9fbee1UL, 0x97bee1UL, 0xa8bee1UL, 0xa0bee1UL, 0xa9bee1UL, 
  0xa1bee1UL, 0xaabee1UL, 0xa2bee1UL, 0xabbee1UL, 0xa3bee1UL, 0xacbee1UL, 0xa4bee1UL, 
  0xadbee1UL, 0xa5bee1UL, 0xaebee1UL, 0xa6bee1UL, 0xafbee1UL, 0xa7bee1UL, 0xb8bee1UL, 
  0xb0bee1UL, 0xb9bee1UL, 0xb1bee1UL, 0xbabee1UL, 0xb0bde1UL, 0xbbbee1UL, 0xb1bde1UL, 
  0xbcbee1UL, 0xb3bee1UL, 0xbebee1UL, 0xb9ceUL, 0x88bfe1UL, 0xb2bde1UL, 0x89bfe1UL, 
  0xb3bde1UL, 0x8abfe1UL, 0xb4bde1UL, 0x8bbfe1UL, 0xb5bde1UL, 0x8cbfe1UL, 0x83bfe1UL, 
  0x98bfe1UL, 0x90bfe1UL, 0x99bfe1UL, 0x91bfe1UL, 0x9abfe1UL, 0xb6bde1UL, 0x9bbfe1UL, 
  0xb7bde1UL, 0xa8bfe1UL, 0xa0bfe1UL, 0xa9bfe1UL, 0xa1bfe1UL, 0xaabfe1UL, 0xbabde1UL, 
  0xabbfe1UL, 0xbbbde1UL, 0xacbfe1UL, 0xa5bfe1UL, 0xb8bfe1UL, 0xb8bde1UL, 0xb9bfe1UL, 
  0xb9bde1UL, 0xbabfe1UL, 0xbcbde1UL, 0xbbbfe1UL, 0xbdbde1UL, 0xbcbfe1UL, 0xb3bfe1UL, 
  0xa684e2UL, 0x89cfUL, 0xaa84e2UL, 0x6bUL, 0xab84e2UL, 0xa5c3UL, 0xb284e2UL, 
  0x8e85e2UL, 0xa085e2UL, 0xb085e2UL, 0xa185e2UL, 0xb185e2UL, 0xa285e2UL, 0xb285e2UL, 
  0xa385e2UL, 0xb385e2UL, 0xa485e2UL, 0xb485e2UL, 0xa585e2UL, 0xb585e2UL, 0xa685e2UL, 
  0xb685e2UL, 0xa785e2UL, 0xb785e2UL, 0xa885e2UL, 0xb885e2UL, 0xa985e2UL, 0xb985e2UL, 
  0xaa85e2UL, 0xba85e2UL, 0xab85e2UL, 0xbb85e2UL, 0xac85e2UL, 0xbc85e2UL, 0xad85e2UL, 
  0xbd85e2UL, 0xae85e2UL, 0xbe85e2UL, 0xaf85e2UL, 0xbf85e2UL, 0x8386e2UL, 0x8486e2UL, 
  0xb692e2UL, 0x9093e2UL, 0xb792e2UL, 0x9193e2UL, 0xb892e2UL, 0x9293e2UL, 0xb992e2UL, 
  0x9393e2UL, 0xba92e2UL, 0x9493e2UL, 0xbb92e2UL, 0x9593e2UL, 0xbc92e2UL, 0x9693e2UL, 
  0xbd92e2UL, 0x9793e2UL, 0xbe92e2UL, 0x9893e2UL, 0xbf92e2UL, 0x9993e2UL, 0x8093e2UL, 
  0x9a93e2UL, 0x8193e2UL, 0x9b93e2UL, 0x8293e2UL, 0x9c93e2UL, 0x8393e2UL, 0x9d93e2UL, 
  0x8493e2UL, 0x9e93e2UL, 0x8593e2UL, 0x9f93e2UL, 0x8693e2UL, 0xa093e2UL, 0x8793e2UL, 
  0xa193e2UL, 0x8893e2UL, 0xa293e2UL, 0x8993e2UL, 0xa393e2UL, 0x8a93e2UL, 0xa493e2UL, 
  0x8b93e2UL, 0xa593e2UL, 0x8c93e2UL, 0xa693e2UL, 0x8d93e2UL, 0xa793e2UL, 0x8e93e2UL, 
  0xa893e2UL, 0x8f93e2UL, 0xa993e2UL, 0x80b0e2UL, 0xb0b0e2UL, 0x81b0e2UL, 0xb1b0e2UL, 
  0x82b0e2UL, 0xb2b0e2UL, 0x83b0e2UL, 0xb3b0e2UL, 0x84b0e2UL, 0xb4b0e2UL, 0x85b0e2UL, 
  0xb5b0e2UL, 0x86b0e2UL, 0xb6b0e2UL, 0x87b0e2UL, 0xb7b0e2UL, 0x88b0e2UL, 0xb8b0e2UL, 
  0x89b0e2UL, 0xb9b0e2UL, 0x8ab0e2UL, 0xbab0e2UL, 0x8bb0e2UL, 0xbbb0e2UL, 0x8cb0e2UL, 
  0xbcb0e2UL, 0x8db0e2UL, 0xbdb0e2UL, 0x8eb0e2UL, 0xbeb0e2UL, 0x8fb0e2UL, 0xbfb0e2UL, 
  0x90b0e2UL, 0x80b1e2UL, 0x91b0e2UL, 0x81b1e2UL, 0x92b0e2UL, 0x82b1e2UL, 0x93b0e2UL, 
  0x83b1e2UL, 0x94b0e2UL, 0x84b1e2UL, 0x95b0e2UL, 0x85b1e2UL, 0x96b0e2UL, 0x86b1e2UL, 
  0x97b0e2UL, 0x87b1e2UL, 0x98b0e2UL, 0x88b1e2UL, 0x99b0e2UL, 0x89b1e2UL, 0x9ab0e2UL, 
  0x8ab1e2UL, 0x9bb0e2UL, 0x8bb1e2UL, 0x9cb0e2UL, 0x8cb1e2UL, 0x9db0e2UL, 0x8db1e2UL, 
  0x9eb0e2UL, 0x8eb1e2UL, 0x9fb0e2UL, 0x8fb1e2UL, 0xa0b0e2UL, 0x90b1e2UL, 0xa1b0e2UL, 
  0x91b1e2UL, 0xa2b0e2UL, 0x92b1e2UL, 0xa3b0e2UL, 0x93b1e2UL, 0xa4b0e2UL, 0x94b1e2UL, 
  0xa5b0e2UL, 0x95b1e2UL, 0xa6b0e2UL, 0x96b1e2UL, 0xa7b0e2UL, 0x97b1e2UL, 0xa8b0e2UL, 
  0x98b1e2UL, 0xa9b0e2UL, 0x99b1e2UL, 0xaab0e2UL, 0x9ab1e2UL, 0xabb0e2UL, 0x9bb1e2UL, 
  0xacb0e2UL, 0x9cb1e2UL, 0xadb0e2UL, 0x9db1e2UL, 0xaeb0e2UL, 0x9eb1e2UL, 0xa0b1e2UL, 
  0xa1b1e2UL, 0xa2b1e2UL, 0xabc9UL, 0xa3b1e2UL, 0xbdb5e1UL, 0xa4b1e2UL, 0xbdc9UL, 
  0xa7b1e2UL, 0xa8b1e2UL, 0xa9b1e2UL, 0xaab1e2UL, 0xabb1e2UL, 0xacb1e2UL, 0xadb1e2UL, 
  0x91c9UL, 0xaeb1e2UL, 0xb1c9UL, 0xafb1e2UL, 0x90c9UL, 0xb2b1e2UL, 0xb3b1e2UL, 
  0xb5b1e2UL, 0xb6b1e2UL, 0x80b2e2UL, 0x81b2e2UL, 0x82b2e2UL, 0x83b2e2UL, 0x84b2e2UL, 
  0x85b2e2UL, 0x86b2e2UL, 0x87b2e2UL, 0x88b2e2UL, 0x89b2e2UL, 0x8ab2e2UL, 0x8bb2e2UL, 
  0x8cb2e2UL, 0x8db2e2UL, 0x8eb2e2UL, 0x8fb2e2UL, 0x90b2e2UL, 0x91b2e2UL, 0x92b2e2UL, 
  0x93b2e2UL, 0x94b2e2UL, 0x95b2e2UL, 0x96b2e2UL, 0x97b2e2UL, 0x98b2e2UL, 0x99b2e2UL, 
  0x9ab2e2UL, 0x9bb2e2UL, 0x9cb2e2UL, 0x9db2e2UL, 0x9eb2e2UL, 0x9fb2e2UL, 0xa0b2e2UL, 
  0xa1b2e2UL, 0xa2b2e2UL, 0xa3b2e2UL, 0xa4b2e2UL, 0xa5b2e2UL, 0xa6b2e2UL, 0xa7b2e2UL, 
  0xa8b2e2UL, 0xa9b2e2UL, 0xaab2e2UL, 0xabb2e2UL, 0xacb2e2UL, 0xadb2e2UL, 0xaeb2e2UL, 
  0xafb2e2UL, 0xb0b2e2UL, 0xb1b2e2UL, 0xb2b2e2UL, 0xb3b2e2UL, 0xb4b2e2UL, 0xb5b2e2UL, 
  0xb6b2e2UL, 0xb7b2e2UL, 0xb8b2e2UL, 0xb9b2e2UL, 0xbab2e2UL, 0xbbb2e2UL, 0xbcb2e2UL, 
  0xbdb2e2UL, 0xbeb2e2UL, 0xbfb2e2UL, 0x80b3e2UL, 0x81b3e2UL, 0x82b3e2UL, 0x83b3e2UL, 
  0x84b3e2UL, 0x85b3e2UL, 0x86b3e2UL, 0x87b3e2UL, 0x88b3e2UL, 0x89b3e2UL, 0x8ab3e2UL, 
  0x8bb3e2UL, 0x8cb3e2UL, 0x8db3e2UL, 0x8eb3e2UL, 0x8fb3e2UL, 0x90b3e2UL, 0x91b3e2UL, 
  0x92b3e2UL, 0x93b3e2UL, 0x94b3e2UL, 0x95b3e2UL, 0x96b3e2UL, 0x97b3e2UL, 0x98b3e2UL, 
  0x99b3e2UL, 0x9ab3e2UL, 0x9bb3e2UL, 0x9cb3e2UL, 0x9db3e2UL, 0x9eb3e2UL, 0x9fb3e2UL, 
  0xa0b3e2UL, 0xa1b3e2UL, 0xa2b3e2UL, 0xa3b3e2UL, 0x8099eaUL, 0x8199eaUL, 0x8299eaUL, 
  0x8399eaUL, 0x8499eaUL, 0x8599eaUL, 0x8699eaUL, 0x8799eaUL, 0x8899eaUL, 0x8999eaUL, 
  0x8a99eaUL, 0x8b99eaUL, 0x8c99eaUL, 0x8d99eaUL, 0x8e99eaUL, 0x8f99eaUL, 0x9099eaUL, 
  0x9199eaUL, 0x9299eaUL, 0x9399eaUL, 0x9499eaUL, 0x9599eaUL, 0x9699eaUL, 0x9799eaUL, 
  0x9899eaUL, 0x9999eaUL, 0x9a99eaUL, 0x9b99eaUL, 0x9c99eaUL, 0x9d99eaUL, 0x9e99eaUL, 
  0x9f99eaUL, 0xa299eaUL, 0xa399eaUL, 0xa499eaUL, 0xa599eaUL, 0xa699eaUL, 0xa799eaUL, 
  0xa899eaUL, 0xa999eaUL, 0xaa99eaUL, 0xab99eaUL, 0xac99eaUL, 0xad99eaUL, 0x809aeaUL, 
  0x819aeaUL, 0x829aeaUL, 0x839aeaUL, 0x849aeaUL, 0x859aeaUL, 0x869aeaUL, 0x879aeaUL, 
  0x889aeaUL, 0x899aeaUL, 0x8a9aeaUL, 0x8b9aeaUL, 0x8c9aeaUL, 0x8d9aeaUL, 0x8e9aeaUL, 
  0x8f9aeaUL, 0x909aeaUL, 0x919aeaUL, 0x929aeaUL, 0x939aeaUL, 0x949aeaUL, 0x959aeaUL, 
  0x969aeaUL, 0x979aeaUL, 0xa29ceaUL, 0xa39ceaUL, 0xa49ceaUL, 0xa59ceaUL, 0xa69ceaUL, 
  0xa79ceaUL, 0xa89ceaUL, 0xa99ceaUL, 0xaa9ceaUL, 0xab9ceaUL, 0xac9ceaUL, 0xad9ceaUL, 
  0xae9ceaUL, 0xaf9ceaUL, 0xb29ceaUL, 0xb39ceaUL, 0xb49ceaUL, 0xb59ceaUL, 0xb69ceaUL, 
  0xb79ceaUL, 0xb89ceaUL, 0xb99ceaUL, 0xba9ceaUL, 0xbb9ceaUL, 0xbc9ceaUL, 0xbd9ceaUL, 
  0xbe9ceaUL, 0xbf9ceaUL, 0x809deaUL, 0x819deaUL, 0x829deaUL, 0x839deaUL, 0x849deaUL, 
  0x859deaUL, 0x869deaUL, 0x879deaUL, 0x889deaUL, 0x899deaUL, 0x8a9deaUL, 0x8b9deaUL, 
  0x8c9deaUL, 0x8d9deaUL, 0x8e9deaUL, 0x8f9deaUL, 0x909deaUL, 0x919deaUL, 0x929deaUL, 
  0x939deaUL, 0x949deaUL, 0x959deaUL, 0x969deaUL, 0x979deaUL, 0x989deaUL, 0x999deaUL, 
  0x9a9deaUL, 0x9b9deaUL, 0x9c9deaUL, 0x9d9deaUL, 0x9e9deaUL, 0x9f9deaUL, 0xa09deaUL, 
  0xa19deaUL, 0xa29deaUL, 0xa39deaUL, 0xa49deaUL, 0xa59deaUL, 0xa69deaUL, 0xa79deaUL, 
  0xa89deaUL, 0xa99deaUL, 0xaa9deaUL, 0xab9deaUL, 0xac9deaUL, 0xad9deaUL, 0xae9deaUL, 
  0xaf9deaUL, 0xb99deaUL, 0xba9deaUL, 0xbb9deaUL, 0xbc9deaUL, 0xbd9deaUL, 0xb9b5e1UL, 
  0xbe9deaUL, 0xbf9deaUL, 0x809eeaUL, 0x819eeaUL, 0x829eeaUL, 0x839eeaUL, 0x849eeaUL, 
  0x859eeaUL, 0x869eeaUL, 0x879eeaUL, 0x8b9eeaUL, 0x8c9eeaUL, 0xa1bcefUL, 0x81bdefUL, 
  0xa2bcefUL, 0x82bdefUL, 0xa3bcefUL, 0x83bdefUL, 0xa4bcefUL, 0x84bdefUL, 0xa5bcefUL, 
  0x85bdefUL, 0xa6bcefUL, 0x86bdefUL, 0xa7bcefUL, 0x87bdefUL, 0xa8bcefUL, 0x88bdefUL, 
  0xa9bcefUL, 0x89bdefUL, 0xaabcefUL, 0x8abdefUL, 0xabbcefUL, 0x8bbdefUL, 0xacbcefUL, 
  0x8cbdefUL, 0xadbcefUL, 0x8dbdefUL, 0xaebcefUL, 0x8ebdefUL, 0xafbcefUL, 0x8fbdefUL, 
  0xb0bcefUL, 0x90bdefUL, 0xb1bcefUL, 0x91bdefUL, 0xb2bcefUL, 0x92bdefUL, 0xb3bcefUL, 
  0x93bdefUL, 0xb4bcefUL, 0x94bdefUL, 0xb5bcefUL, 0x95bdefUL, 0xb6bcefUL, 0x96bdefUL, 
  0xb7bcefUL, 0x97bdefUL, 0xb8bcefUL, 0x98bdefUL, 0xb9bcefUL, 0x99bdefUL, 0xbabcefUL, 
  0x9abdefUL, 0x809090f0UL, 0xa89090f0UL, 0x819090f0UL, 0xa99090f0UL, 0x829090f0UL, 
  0xaa9090f0UL, 0x839090f0UL, 0xab9090f0UL, 0x849090f0UL, 0xac9090f0UL, 0x859090f0UL, 
  0xad9090f0UL, 0x869090f0UL, 0xae9090f0UL, 0x879090f0UL, 0xaf9090f0UL, 0x889090f0UL, 
  0xb09090f0UL, 0x899090f0UL, 0xb19090f0UL, 0x8a9090f0UL, 0xb29090f0UL, 0x8b9090f0UL, 
  0xb39090f0UL, 0x8c9090f0UL, 0xb49090f0UL, 0x8d9090f0UL, 0xb59090f0UL, 0x8e9090f0UL, 
  0xb69090f0UL, 0x8f9090f0UL, 0xb79090f0UL, 0x909090f0UL, 0xb89090f0UL, 0x919090f0UL, 
  0xb99090f0UL, 0x929090f0UL, 0xba9090f0UL, 0x939090f0UL, 0xbb9090f0UL, 0x949090f0UL, 
  0xbc9090f0UL, 0x959090f0UL, 0xbd9090f0UL, 0x969090f0UL, 0xbe9090f0UL, 0x979090f0UL, 
  0xbf9090f0UL, 0x989090f0UL, 0x809190f0UL, 0x999090f0UL, 0x819190f0UL, 0x9a9090f0UL, 
  0x829190f0UL, 0x9b9090f0UL, 0x839190f0UL, 0x9c9090f0UL, 0x849190f0UL, 0x9d9090f0UL, 
  0x859190f0UL, 0x9e9090f0UL, 0x869190f0UL, 0x9f9090f0UL, 0x879190f0UL, 0xa09090f0UL, 
  0x889190f0UL, 0xa19090f0UL, 0x899190f0UL, 0xa29090f0UL, 0x8a9190f0UL, 0xa39090f0UL, 
  0x8b9190f0UL, 0xa49090f0UL, 0x8c9190f0UL, 0xa59090f0UL, 0x8d9190f0UL, 0xa69090f0UL, 
  0x8e9190f0UL, 0xa79090f0UL, 0x8f9190f0UL
  };

/** Map lowercase to UPPERCASE for UTF-8 */
unsigned long utf8_to_upper[CASE_FOLDINGS] = {
  0x61UL, 0x41UL, 0x62UL, 0x42UL, 0x63UL, 0x43UL, 0x64UL, 0x44UL, 0x65UL, 0x45UL, 
  0x66UL, 0x46UL, 0x67UL, 0x47UL, 0x68UL, 0x48UL, 0x69UL, 0x49UL, 0x6aUL, 0x4aUL, 
  0x6bUL, 0x4bUL, 0x6cUL, 0x4cUL, 0x6dUL, 0x4dUL, 0x6eUL, 0x4eUL, 0x6fUL, 0x4fUL, 
  0x70UL, 0x50UL, 0x71UL, 0x51UL, 0x72UL, 0x52UL, 0x73UL, 0x53UL, 0x74UL, 0x54UL, 
  0x75UL, 0x55UL, 0x76UL, 0x56UL, 0x77UL, 0x57UL, 0x78UL, 0x58UL, 0x79UL, 0x59UL, 
  0x7aUL, 0x5aUL, 0xbcceUL, 0xb5c2UL, 0xa0c3UL, 0x80c3UL, 0xa1c3UL, 0x81c3UL, 
  0xa2c3UL, 0x82c3UL, 0xa3c3UL, 0x83c3UL, 0xa4c3UL, 0x84c3UL, 0xa5c3UL, 0x85c3UL, 
  0xa6c3UL, 0x86c3UL, 0xa7c3UL, 0x87c3UL, 0xa8c3UL, 0x88c3UL, 0xa9c3UL, 0x89c3UL, 
  0xaac3UL, 0x8ac3UL, 0xabc3UL, 0x8bc3UL, 0xacc3UL, 0x8cc3UL, 0xadc3UL, 0x8dc3UL, 
  0xaec3UL, 0x8ec3UL, 0xafc3UL, 0x8fc3UL, 0xb0c3UL, 0x90c3UL, 0xb1c3UL, 0x91c3UL, 
  0xb2c3UL, 0x92c3UL, 0xb3c3UL, 0x93c3UL, 0xb4c3UL, 0x94c3UL, 0xb5c3UL, 0x95c3UL, 
  0xb6c3UL, 0x96c3UL, 0xb8c3UL, 0x98c3UL, 0xb9c3UL, 0x99c3UL, 0xbac3UL, 0x9ac3UL, 
  0xbbc3UL, 0x9bc3UL, 0xbcc3UL, 0x9cc3UL, 0xbdc3UL, 0x9dc3UL, 0xbec3UL, 0x9ec3UL, 
  0x81c4UL, 0x80c4UL, 0x83c4UL, 0x82c4UL, 0x85c4UL, 0x84c4UL, 0x87c4UL, 0x86c4UL, 
  0x89c4UL, 0x88c4UL, 0x8bc4UL, 0x8ac4UL, 0x8dc4UL, 0x8cc4UL, 0x8fc4UL, 0x8ec4UL, 
  0x91c4UL, 0x90c4UL, 0x93c4UL, 0x92c4UL, 0x95c4UL, 0x94c4UL, 0x97c4UL, 0x96c4UL, 
  0x99c4UL, 0x98c4UL, 0x9bc4UL, 0x9ac4UL, 0x9dc4UL, 0x9cc4UL, 0x9fc4UL, 0x9ec4UL, 
  0xa1c4UL, 0xa0c4UL, 0xa3c4UL, 0xa2c4UL, 0xa5c4UL, 0xa4c4UL, 0xa7c4UL, 0xa6c4UL, 
  0xa9c4UL, 0xa8c4UL, 0xabc4UL, 0xaac4UL, 0xadc4UL, 0xacc4UL, 0xafc4UL, 0xaec4UL, 
  0xb3c4UL, 0xb2c4UL, 0xb5c4UL, 0xb4c4UL, 0xb7c4UL, 0xb6c4UL, 0xbac4UL, 0xb9c4UL, 
  0xbcc4UL, 0xbbc4UL, 0xbec4UL, 0xbdc4UL, 0x80c5UL, 0xbfc4UL, 0x82c5UL, 0x81c5UL, 
  0x84c5UL, 0x83c5UL, 0x86c5UL, 0x85c5UL, 0x88c5UL, 0x87c5UL, 0x8bc5UL, 0x8ac5UL, 
  0x8dc5UL, 0x8cc5UL, 0x8fc5UL, 0x8ec5UL, 0x91c5UL, 0x90c5UL, 0x93c5UL, 0x92c5UL, 
  0x95c5UL, 0x94c5UL, 0x97c5UL, 0x96c5UL, 0x99c5UL, 0x98c5UL, 0x9bc5UL, 0x9ac5UL, 
  0x9dc5UL, 0x9cc5UL, 0x9fc5UL, 0x9ec5UL, 0xa1c5UL, 0xa0c5UL, 0xa3c5UL, 0xa2c5UL, 
  0xa5c5UL, 0xa4c5UL, 0xa7c5UL, 0xa6c5UL, 0xa9c5UL, 0xa8c5UL, 0xabc5UL, 0xaac5UL, 
  0xadc5UL, 0xacc5UL, 0xafc5UL, 0xaec5UL, 0xb1c5UL, 0xb0c5UL, 0xb3c5UL, 0xb2c5UL, 
  0xb5c5UL, 0xb4c5UL, 0xb7c5UL, 0xb6c5UL, 0xbfc3UL, 0xb8c5UL, 0xbac5UL, 0xb9c5UL, 
  0xbcc5UL, 0xbbc5UL, 0xbec5UL, 0xbdc5UL, 0x73UL, 0xbfc5UL, 0x93c9UL, 0x81c6UL, 
  0x83c6UL, 0x82c6UL, 0x85c6UL, 0x84c6UL, 0x94c9UL, 0x86c6UL, 0x88c6UL, 0x87c6UL, 
  0x96c9UL, 0x89c6UL, 0x97c9UL, 0x8ac6UL, 0x8cc6UL, 0x8bc6UL, 0x9dc7UL, 0x8ec6UL, 
  0x99c9UL, 0x8fc6UL, 0x9bc9UL, 0x90c6UL, 0x92c6UL, 0x91c6UL, 0xa0c9UL, 0x93c6UL, 
  0xa3c9UL, 0x94c6UL, 0xa9c9UL, 0x96c6UL, 0xa8c9UL, 0x97c6UL, 0x99c6UL, 0x98c6UL, 
  0xafc9UL, 0x9cc6UL, 0xb2c9UL, 0x9dc6UL, 0xb5c9UL, 0x9fc6UL, 0xa1c6UL, 0xa0c6UL, 
  0xa3c6UL, 0xa2c6UL, 0xa5c6UL, 0xa4c6UL, 0x80caUL, 0xa6c6UL, 0xa8c6UL, 0xa7c6UL, 
  0x83caUL, 0xa9c6UL, 0xadc6UL, 0xacc6UL, 0x88caUL, 0xaec6UL, 0xb0c6UL, 0xafc6UL, 
  0x8acaUL, 0xb1c6UL, 0x8bcaUL, 0xb2c6UL, 0xb4c6UL, 0xb3c6UL, 0xb6c6UL, 0xb5c6UL, 
  0x92caUL, 0xb7c6UL, 0xb9c6UL, 0xb8c6UL, 0xbdc6UL, 0xbcc6UL, 0x86c7UL, 0x84c7UL, 
  0x86c7UL, 0x85c7UL, 0x89c7UL, 0x87c7UL, 0x89c7UL, 0x88c7UL, 0x8cc7UL, 0x8ac7UL, 
  0x8cc7UL, 0x8bc7UL, 0x8ec7UL, 0x8dc7UL, 0x90c7UL, 0x8fc7UL, 0x92c7UL, 0x91c7UL, 
  0x94c7UL, 0x93c7UL, 0x96c7UL, 0x95c7UL, 0x98c7UL, 0x97c7UL, 0x9ac7UL, 0x99c7UL, 
  0x9cc7UL, 0x9bc7UL, 0x9fc7UL, 0x9ec7UL, 0xa1c7UL, 0xa0c7UL, 0xa3c7UL, 0xa2c7UL, 
  0xa5c7UL, 0xa4c7UL, 0xa7c7UL, 0xa6c7UL, 0xa9c7UL, 0xa8c7UL, 0xabc7UL, 0xaac7UL, 
  0xadc7UL, 0xacc7UL, 0xafc7UL, 0xaec7UL, 0xb3c7UL, 0xb1c7UL, 0xb3c7UL, 0xb2c7UL, 
  0xb5c7UL, 0xb4c7UL, 0x95c6UL, 0xb6c7UL, 0xbfc6UL, 0xb7c7UL, 0xb9c7UL, 0xb8c7UL, 
  0xbbc7UL, 0xbac7UL, 0xbdc7UL, 0xbcc7UL, 0xbfc7UL, 0xbec7UL, 0x81c8UL, 0x80c8UL, 
  0x83c8UL, 0x82c8UL, 0x85c8UL, 0x84c8UL, 0x87c8UL, 0x86c8UL, 0x89c8UL, 0x88c8UL, 
  0x8bc8UL, 0x8ac8UL, 0x8dc8UL, 0x8cc8UL, 0x8fc8UL, 0x8ec8UL, 0x91c8UL, 0x90c8UL, 
  0x93c8UL, 0x92c8UL, 0x95c8UL, 0x94c8UL, 0x97c8UL, 0x96c8UL, 0x99c8UL, 0x98c8UL, 
  0x9bc8UL, 0x9ac8UL, 0x9dc8UL, 0x9cc8UL, 0x9fc8UL, 0x9ec8UL, 0x9ec6UL, 0xa0c8UL, 
  0xa3c8UL, 0xa2c8UL, 0xa5c8UL, 0xa4c8UL, 0xa7c8UL, 0xa6c8UL, 0xa9c8UL, 0xa8c8UL, 
  0xabc8UL, 0xaac8UL, 0xadc8UL, 0xacc8UL, 0xafc8UL, 0xaec8UL, 0xb1c8UL, 0xb0c8UL, 
  0xb3c8UL, 0xb2c8UL, 0xa5b1e2UL, 0xbac8UL, 0xbcc8UL, 0xbbc8UL, 0x9ac6UL, 0xbdc8UL, 
  0xa6b1e2UL, 0xbec8UL, 0x82c9UL, 0x81c9UL, 0x80c6UL, 0x83c9UL, 0x89caUL, 0x84c9UL, 
  0x8ccaUL, 0x85c9UL, 0x87c9UL, 0x86c9UL, 0x89c9UL, 0x88c9UL, 0x8bc9UL, 0x8ac9UL, 
  0x8dc9UL, 0x8cc9UL, 0x8fc9UL, 0x8ec9UL, 0xb9ceUL, 0x85cdUL, 0xb1cdUL, 0xb0cdUL, 
  0xb3cdUL, 0xb2cdUL, 0xb7cdUL, 0xb6cdUL, 0xacceUL, 0x86ceUL, 0xadceUL, 0x88ceUL, 
  0xaeceUL, 0x89ceUL, 0xafceUL, 0x8aceUL, 0x8ccfUL, 0x8cceUL, 0x8dcfUL, 0x8eceUL, 
  0x8ecfUL, 0x8fceUL, 0xb1ceUL, 0x91ceUL, 0xb2ceUL, 0x92ceUL, 0xb3ceUL, 0x93ceUL, 
  0xb4ceUL, 0x94ceUL, 0xb5ceUL, 0x95ceUL, 0xb6ceUL, 0x96ceUL, 0xb7ceUL, 0x97ceUL, 
  0xb8ceUL, 0x98ceUL, 0xb9ceUL, 0x99ceUL, 0xbaceUL, 0x9aceUL, 0xbbceUL, 0x9bceUL, 
  0xbcceUL, 0x9cceUL, 0xbdceUL, 0x9dceUL, 0xbeceUL, 0x9eceUL, 0xbfceUL, 0x9fceUL, 
  0x80cfUL, 0xa0ceUL, 0x81cfUL, 0xa1ceUL, 0x83cfUL, 0xa3ceUL, 0x84cfUL, 0xa4ceUL, 
  0x85cfUL, 0xa5ceUL, 0x86cfUL, 0xa6ceUL, 0x87cfUL, 0xa7ceUL, 0x88cfUL, 0xa8ceUL, 
  0x89cfUL, 0xa9ceUL, 0x8acfUL, 0xaaceUL, 0x8bcfUL, 0xabceUL, 0x83cfUL, 0x82cfUL, 
  0x97cfUL, 0x8fcfUL, 0xb2ceUL, 0x90cfUL, 0xb8ceUL, 0x91cfUL, 0x86cfUL, 0x95cfUL, 
  0x80cfUL, 0x96cfUL, 0x99cfUL, 0x98cfUL, 0x9bcfUL, 0x9acfUL, 0x9dcfUL, 0x9ccfUL, 
  0x9fcfUL, 0x9ecfUL, 0xa1cfUL, 0xa0cfUL, 0xa3cfUL, 0xa2cfUL, 0xa5cfUL, 0xa4cfUL, 
  0xa7cfUL, 0xa6cfUL, 0xa9cfUL, 0xa8cfUL, 0xabcfUL, 0xaacfUL, 0xadcfUL, 0xaccfUL, 
  0xafcfUL, 0xaecfUL, 0xbaceUL, 0xb0cfUL, 0x81cfUL, 0xb1cfUL, 0xb8ceUL, 0xb4cfUL, 
  0xb5ceUL, 0xb5cfUL, 0xb8cfUL, 0xb7cfUL, 0xb2cfUL, 0xb9cfUL, 0xbbcfUL, 0xbacfUL, 
  0xbbcdUL, 0xbdcfUL, 0xbccdUL, 0xbecfUL, 0xbdcdUL, 0xbfcfUL, 0x90d1UL, 0x80d0UL, 
  0x91d1UL, 0x81d0UL, 0x92d1UL, 0x82d0UL, 0x93d1UL, 0x83d0UL, 0x94d1UL, 0x84d0UL, 
  0x95d1UL, 0x85d0UL, 0x96d1UL, 0x86d0UL, 0x97d1UL, 0x87d0UL, 0x98d1UL, 0x88d0UL, 
  0x99d1UL, 0x89d0UL, 0x9ad1UL, 0x8ad0UL, 0x9bd1UL, 0x8bd0UL, 0x9cd1UL, 0x8cd0UL, 
  0x9dd1UL, 0x8dd0UL, 0x9ed1UL, 0x8ed0UL, 0x9fd1UL, 0x8fd0UL, 0xb0d0UL, 0x90d0UL, 
  0xb1d0UL, 0x91d0UL, 0xb2d0UL, 0x92d0UL, 0xb3d0UL, 0x93d0UL, 0xb4d0UL, 0x94d0UL, 
  0xb5d0UL, 0x95d0UL, 0xb6d0UL, 0x96d0UL, 0xb7d0UL, 0x97d0UL, 0xb8d0UL, 0x98d0UL, 
  0xb9d0UL, 0x99d0UL, 0xbad0UL, 0x9ad0UL, 0xbbd0UL, 0x9bd0UL, 0xbcd0UL, 0x9cd0UL, 
  0xbdd0UL, 0x9dd0UL, 0xbed0UL, 0x9ed0UL, 0xbfd0UL, 0x9fd0UL, 0x80d1UL, 0xa0d0UL, 
  0x81d1UL, 0xa1d0UL, 0x82d1UL, 0xa2d0UL, 0x83d1UL, 0xa3d0UL, 0x84d1UL, 0xa4d0UL, 
  0x85d1UL, 0xa5d0UL, 0x86d1UL, 0xa6d0UL, 0x87d1UL, 0xa7d0UL, 0x88d1UL, 0xa8d0UL, 
  0x89d1UL, 0xa9d0UL, 0x8ad1UL, 0xaad0UL, 0x8bd1UL, 0xabd0UL, 0x8cd1UL, 0xacd0UL, 
  0x8dd1UL, 0xadd0UL, 0x8ed1UL, 0xaed0UL, 0x8fd1UL, 0xafd0UL, 0xa1d1UL, 0xa0d1UL, 
  0xa3d1UL, 0xa2d1UL, 0xa5d1UL, 0xa4d1UL, 0xa7d1UL, 0xa6d1UL, 0xa9d1UL, 0xa8d1UL, 
  0xabd1UL, 0xaad1UL, 0xadd1UL, 0xacd1UL, 0xafd1UL, 0xaed1UL, 0xb1d1UL, 0xb0d1UL, 
  0xb3d1UL, 0xb2d1UL, 0xb5d1UL, 0xb4d1UL, 0xb7d1UL, 0xb6d1UL, 0xb9d1UL, 0xb8d1UL, 
  0xbbd1UL, 0xbad1UL, 0xbdd1UL, 0xbcd1UL, 0xbfd1UL, 0xbed1UL, 0x81d2UL, 0x80d2UL, 
  0x8bd2UL, 0x8ad2UL, 0x8dd2UL, 0x8cd2UL, 0x8fd2UL, 0x8ed2UL, 0x91d2UL, 0x90d2UL, 
  0x93d2UL, 0x92d2UL, 0x95d2UL, 0x94d2UL, 0x97d2UL, 0x96d2UL, 0x99d2UL, 0x98d2UL, 
  0x9bd2UL, 0x9ad2UL, 0x9dd2UL, 0x9cd2UL, 0x9fd2UL, 0x9ed2UL, 0xa1d2UL, 0xa0d2UL, 
  0xa3d2UL, 0xa2d2UL, 0xa5d2UL, 0xa4d2UL, 0xa7d2UL, 0xa6d2UL, 0xa9d2UL, 0xa8d2UL, 
  0xabd2UL, 0xaad2UL, 0xadd2UL, 0xacd2UL, 0xafd2UL, 0xaed2UL, 0xb1d2UL, 0xb0d2UL, 
  0xb3d2UL, 0xb2d2UL, 0xb5d2UL, 0xb4d2UL, 0xb7d2UL, 0xb6d2UL, 0xb9d2UL, 0xb8d2UL, 
  0xbbd2UL, 0xbad2UL, 0xbdd2UL, 0xbcd2UL, 0xbfd2UL, 0xbed2UL, 0x8fd3UL, 0x80d3UL, 
  0x82d3UL, 0x81d3UL, 0x84d3UL, 0x83d3UL, 0x86d3UL, 0x85d3UL, 0x88d3UL, 0x87d3UL, 
  0x8ad3UL, 0x89d3UL, 0x8cd3UL, 0x8bd3UL, 0x8ed3UL, 0x8dd3UL, 0x91d3UL, 0x90d3UL, 
  0x93d3UL, 0x92d3UL, 0x95d3UL, 0x94d3UL, 0x97d3UL, 0x96d3UL, 0x99d3UL, 0x98d3UL, 
  0x9bd3UL, 0x9ad3UL, 0x9dd3UL, 0x9cd3UL, 0x9fd3UL, 0x9ed3UL, 0xa1d3UL, 0xa0d3UL, 
  0xa3d3UL, 0xa2d3UL, 0xa5d3UL, 0xa4d3UL, 0xa7d3UL, 0xa6d3UL, 0xa9d3UL, 0xa8d3UL, 
  0xabd3UL, 0xaad3UL, 0xadd3UL, 0xacd3UL, 0xafd3UL, 0xaed3UL, 0xb1d3UL, 0xb0d3UL, 
  0xb3d3UL, 0xb2d3UL, 0xb5d3UL, 0xb4d3UL, 0xb7d3UL, 0xb6d3UL, 0xb9d3UL, 0xb8d3UL, 
  0xbbd3UL, 0xbad3UL, 0xbdd3UL, 0xbcd3UL, 0xbfd3UL, 0xbed3UL, 0x81d4UL, 0x80d4UL, 
  0x83d4UL, 0x82d4UL, 0x85d4UL, 0x84d4UL, 0x87d4UL, 0x86d4UL, 0x89d4UL, 0x88d4UL, 
  0x8bd4UL, 0x8ad4UL, 0x8dd4UL, 0x8cd4UL, 0x8fd4UL, 0x8ed4UL, 0x91d4UL, 0x90d4UL, 
  0x93d4UL, 0x92d4UL, 0x95d4UL, 0x94d4UL, 0x97d4UL, 0x96d4UL, 0x99d4UL, 0x98d4UL, 
  0x9bd4UL, 0x9ad4UL, 0x9dd4UL, 0x9cd4UL, 0x9fd4UL, 0x9ed4UL, 0xa1d4UL, 0xa0d4UL, 
  0xa3d4UL, 0xa2d4UL, 0xa1d5UL, 0xb1d4UL, 0xa2d5UL, 0xb2d4UL, 0xa3d5UL, 0xb3d4UL, 
  0xa4d5UL, 0xb4d4UL, 0xa5d5UL, 0xb5d4UL, 0xa6d5UL, 0xb6d4UL, 0xa7d5UL, 0xb7d4UL, 
  0xa8d5UL, 0xb8d4UL, 0xa9d5UL, 0xb9d4UL, 0xaad5UL, 0xbad4UL, 0xabd5UL, 0xbbd4UL, 
  0xacd5UL, 0xbcd4UL, 0xadd5UL, 0xbdd4UL, 0xaed5UL, 0xbed4UL, 0xafd5UL, 0xbfd4UL, 
  0xb0d5UL, 0x80d5UL, 0xb1d5UL, 0x81d5UL, 0xb2d5UL, 0x82d5UL, 0xb3d5UL, 0x83d5UL, 
  0xb4d5UL, 0x84d5UL, 0xb5d5UL, 0x85d5UL, 0xb6d5UL, 0x86d5UL, 0xb7d5UL, 0x87d5UL, 
  0xb8d5UL, 0x88d5UL, 0xb9d5UL, 0x89d5UL, 0xbad5UL, 0x8ad5UL, 0xbbd5UL, 0x8bd5UL, 
  0xbcd5UL, 0x8cd5UL, 0xbdd5UL, 0x8dd5UL, 0xbed5UL, 0x8ed5UL, 0xbfd5UL, 0x8fd5UL, 
  0x80d6UL, 0x90d5UL, 0x81d6UL, 0x91d5UL, 0x82d6UL, 0x92d5UL, 0x83d6UL, 0x93d5UL, 
  0x84d6UL, 0x94d5UL, 0x85d6UL, 0x95d5UL, 0x86d6UL, 0x96d5UL, 0x80b4e2UL, 0xa082e1UL, 
  0x81b4e2UL, 0xa182e1UL, 0x82b4e2UL, 0xa282e1UL, 0x83b4e2UL, 0xa382e1UL, 0x84b4e2UL, 
  0xa482e1UL, 0x85b4e2UL, 0xa582e1UL, 0x86b4e2UL, 0xa682e1UL, 0x87b4e2UL, 0xa782e1UL, 
  0x88b4e2UL, 0xa882e1UL, 0x89b4e2UL, 0xa982e1UL, 0x8ab4e2UL, 0xaa82e1UL, 0x8bb4e2UL, 
  0xab82e1UL, 0x8cb4e2UL, 0xac82e1UL, 0x8db4e2UL, 0xad82e1UL, 0x8eb4e2UL, 0xae82e1UL, 
  0x8fb4e2UL, 0xaf82e1UL, 0x90b4e2UL, 0xb082e1UL, 0x91b4e2UL, 0xb182e1UL, 0x92b4e2UL, 
  0xb282e1UL, 0x93b4e2UL, 0xb382e1UL, 0x94b4e2UL, 0xb482e1UL, 0x95b4e2UL, 0xb582e1UL, 
  0x96b4e2UL, 0xb682e1UL, 0x97b4e2UL, 0xb782e1UL, 0x98b4e2UL, 0xb882e1UL, 0x99b4e2UL, 
  0xb982e1UL, 0x9ab4e2UL, 0xba82e1UL, 0x9bb4e2UL, 0xbb82e1UL, 0x9cb4e2UL, 0xbc82e1UL, 
  0x9db4e2UL, 0xbd82e1UL, 0x9eb4e2UL, 0xbe82e1UL, 0x9fb4e2UL, 0xbf82e1UL, 0xa0b4e2UL, 
  0x8083e1UL, 0xa1b4e2UL, 0x8183e1UL, 0xa2b4e2UL, 0x8283e1UL, 0xa3b4e2UL, 0x8383e1UL, 
  0xa4b4e2UL, 0x8483e1UL, 0xa5b4e2UL, 0x8583e1UL, 0x81b8e1UL, 0x80b8e1UL, 0x83b8e1UL, 
  0x82b8e1UL, 0x85b8e1UL, 0x84b8e1UL, 0x87b8e1UL, 0x86b8e1UL, 0x89b8e1UL, 0x88b8e1UL, 
  0x8bb8e1UL, 0x8ab8e1UL, 0x8db8e1UL, 0x8cb8e1UL, 0x8fb8e1UL, 0x8eb8e1UL, 0x91b8e1UL, 
  0x90b8e1UL, 0x93b8e1UL, 0x92b8e1UL, 0x95b8e1UL, 0x94b8e1UL, 0x97b8e1UL, 0x96b8e1UL, 
  0x99b8e1UL, 0x98b8e1UL, 0x9bb8e1UL, 0x9ab8e1UL, 0x9db8e1UL, 0x9cb8e1UL, 0x9fb8e1UL, 
  0x9eb8e1UL, 0xa1b8e1UL, 0xa0b8e1UL, 0xa3b8e1UL, 0xa2b8e1UL, 0xa5b8e1UL, 0xa4b8e1UL, 
  0xa7b8e1UL, 0xa6b8e1UL, 0xa9b8e1UL, 0xa8b8e1UL, 0xabb8e1UL, 0xaab8e1UL, 0xadb8e1UL, 
  0xacb8e1UL, 0xafb8e1UL, 0xaeb8e1UL, 0xb1b8e1UL, 0xb0b8e1UL, 0xb3b8e1UL, 0xb2b8e1UL, 
  0xb5b8e1UL, 0xb4b8e1UL, 0xb7b8e1UL, 0xb6b8e1UL, 0xb9b8e1UL, 0xb8b8e1UL, 0xbbb8e1UL, 
  0xbab8e1UL, 0xbdb8e1UL, 0xbcb8e1UL, 0xbfb8e1UL, 0xbeb8e1UL, 0x81b9e1UL, 0x80b9e1UL, 
  0x83b9e1UL, 0x82b9e1UL, 0x85b9e1UL, 0x84b9e1UL, 0x87b9e1UL, 0x86b9e1UL, 0x89b9e1UL, 
  0x88b9e1UL, 0x8bb9e1UL, 0x8ab9e1UL, 0x8db9e1UL, 0x8cb9e1UL, 0x8fb9e1UL, 0x8eb9e1UL, 
  0x91b9e1UL, 0x90b9e1UL, 0x93b9e1UL, 0x92b9e1UL, 0x95b9e1UL, 0x94b9e1UL, 0x97b9e1UL, 
  0x96b9e1UL, 0x99b9e1UL, 0x98b9e1UL, 0x9bb9e1UL, 0x9ab9e1UL, 0x9db9e1UL, 0x9cb9e1UL, 
  0x9fb9e1UL, 0x9eb9e1UL, 0xa1b9e1UL, 0xa0b9e1UL, 0xa3b9e1UL, 0xa2b9e1UL, 0xa5b9e1UL, 
  0xa4b9e1UL, 0xa7b9e1UL, 0xa6b9e1UL, 0xa9b9e1UL, 0xa8b9e1UL, 0xabb9e1UL, 0xaab9e1UL, 
  0xadb9e1UL, 0xacb9e1UL, 0xafb9e1UL, 0xaeb9e1UL, 0xb1b9e1UL, 0xb0b9e1UL, 0xb3b9e1UL, 
  0xb2b9e1UL, 0xb5b9e1UL, 0xb4b9e1UL, 0xb7b9e1UL, 0xb6b9e1UL, 0xb9b9e1UL, 0xb8b9e1UL, 
  0xbbb9e1UL, 0xbab9e1UL, 0xbdb9e1UL, 0xbcb9e1UL, 0xbfb9e1UL, 0xbeb9e1UL, 0x81bae1UL, 
  0x80bae1UL, 0x83bae1UL, 0x82bae1UL, 0x85bae1UL, 0x84bae1UL, 0x87bae1UL, 0x86bae1UL, 
  0x89bae1UL, 0x88bae1UL, 0x8bbae1UL, 0x8abae1UL, 0x8dbae1UL, 0x8cbae1UL, 0x8fbae1UL, 
  0x8ebae1UL, 0x91bae1UL, 0x90bae1UL, 0x93bae1UL, 0x92bae1UL, 0x95bae1UL, 0x94bae1UL, 
  0xa1b9e1UL, 0x9bbae1UL, 0x9ebae1UL, 0x9ebae1UL, 0xa1bae1UL, 0xa0bae1UL, 0xa3bae1UL, 
  0xa2bae1UL, 0xa5bae1UL, 0xa4bae1UL, 0xa7bae1UL, 0xa6bae1UL, 0xa9bae1UL, 0xa8bae1UL, 
  0xabbae1UL, 0xaabae1UL, 0xadbae1UL, 0xacbae1UL, 0xafbae1UL, 0xaebae1UL, 0xb1bae1UL, 
  0xb0bae1UL, 0xb3bae1UL, 0xb2bae1UL, 0xb5bae1UL, 0xb4bae1UL, 0xb7bae1UL, 0xb6bae1UL, 
  0xb9bae1UL, 0xb8bae1UL, 0xbbbae1UL, 0xbabae1UL, 0xbdbae1UL, 0xbcbae1UL, 0xbfbae1UL, 
  0xbebae1UL, 0x81bbe1UL, 0x80bbe1UL, 0x83bbe1UL, 0x82bbe1UL, 0x85bbe1UL, 0x84bbe1UL, 
  0x87bbe1UL, 0x86bbe1UL, 0x89bbe1UL, 0x88bbe1UL, 0x8bbbe1UL, 0x8abbe1UL, 0x8dbbe1UL, 
  0x8cbbe1UL, 0x8fbbe1UL, 0x8ebbe1UL, 0x91bbe1UL, 0x90bbe1UL, 0x93bbe1UL, 0x92bbe1UL, 
  0x95bbe1UL, 0x94bbe1UL, 0x97bbe1UL, 0x96bbe1UL, 0x99bbe1UL, 0x98bbe1UL, 0x9bbbe1UL, 
  0x9abbe1UL, 0x9dbbe1UL, 0x9cbbe1UL, 0x9fbbe1UL, 0x9ebbe1UL, 0xa1bbe1UL, 0xa0bbe1UL, 
  0xa3bbe1UL, 0xa2bbe1UL, 0xa5bbe1UL, 0xa4bbe1UL, 0xa7bbe1UL, 0xa6bbe1UL, 0xa9bbe1UL, 
  0xa8bbe1UL, 0xabbbe1UL, 0xaabbe1UL, 0xadbbe1UL, 0xacbbe1UL, 0xafbbe1UL, 0xaebbe1UL, 
  0xb1bbe1UL, 0xb0bbe1UL, 0xb3bbe1UL, 0xb2bbe1UL, 0xb5bbe1UL, 0xb4bbe1UL, 0xb7bbe1UL, 
  0xb6bbe1UL, 0xb9bbe1UL, 0xb8bbe1UL, 0xbbbbe1UL, 0xbabbe1UL, 0xbdbbe1UL, 0xbcbbe1UL, 
  0xbfbbe1UL, 0xbebbe1UL, 0x80bce1UL, 0x88bce1UL, 0x81bce1UL, 0x89bce1UL, 0x82bce1UL, 
  0x8abce1UL, 0x83bce1UL, 0x8bbce1UL, 0x84bce1UL, 0x8cbce1UL, 0x85bce1UL, 0x8dbce1UL, 
  0x86bce1UL, 0x8ebce1UL, 0x87bce1UL, 0x8fbce1UL, 0x90bce1UL, 0x98bce1UL, 0x91bce1UL, 
  0x99bce1UL, 0x92bce1UL, 0x9abce1UL, 0x93bce1UL, 0x9bbce1UL, 0x94bce1UL, 0x9cbce1UL, 
  0x95bce1UL, 0x9dbce1UL, 0xa0bce1UL, 0xa8bce1UL, 0xa1bce1UL, 0xa9bce1UL, 0xa2bce1UL, 
  0xaabce1UL, 0xa3bce1UL, 0xabbce1UL, 0xa4bce1UL, 0xacbce1UL, 0xa5bce1UL, 0xadbce1UL, 
  0xa6bce1UL, 0xaebce1UL, 0xa7bce1UL, 0xafbce1UL, 0xb0bce1UL, 0xb8bce1UL, 0xb1bce1UL, 
  0xb9bce1UL, 0xb2bce1UL, 0xbabce1UL, 0xb3bce1UL, 0xbbbce1UL, 0xb4bce1UL, 0xbcbce1UL, 
  0xb5bce1UL, 0xbdbce1UL, 0xb6bce1UL, 0xbebce1UL, 0xb7bce1UL, 0xbfbce1UL, 0x80bde1UL, 
  0x88bde1UL, 0x81bde1UL, 0x89bde1UL, 0x82bde1UL, 0x8abde1UL, 0x83bde1UL, 0x8bbde1UL, 
  0x84bde1UL, 0x8cbde1UL, 0x85bde1UL, 0x8dbde1UL, 0x91bde1UL, 0x99bde1UL, 0x93bde1UL, 
  0x9bbde1UL, 0x95bde1UL, 0x9dbde1UL, 0x97bde1UL, 0x9fbde1UL, 0xa0bde1UL, 0xa8bde1UL, 
  0xa1bde1UL, 0xa9bde1UL, 0xa2bde1UL, 0xaabde1UL, 0xa3bde1UL, 0xabbde1UL, 0xa4bde1UL, 
  0xacbde1UL, 0xa5bde1UL, 0xadbde1UL, 0xa6bde1UL, 0xaebde1UL, 0xa7bde1UL, 0xafbde1UL, 
  0x80bee1UL, 0x88bee1UL, 0x81bee1UL, 0x89bee1UL, 0x82bee1UL, 0x8abee1UL, 0x83bee1UL, 
  0x8bbee1UL, 0x84bee1UL, 0x8cbee1UL, 0x85bee1UL, 0x8dbee1UL, 0x86bee1UL, 0x8ebee1UL, 
  0x87bee1UL, 0x8fbee1UL, 0x90bee1UL, 0x98bee1UL, 0x91bee1UL, 0x99bee1UL, 0x92bee1UL, 
  0x9abee1UL, 0x93bee1UL, 0x9bbee1UL, 0x94bee1UL, 0x9cbee1UL, 0x95bee1UL, 0x9dbee1UL, 
  0x96bee1UL, 0x9ebee1UL, 0x97bee1UL, 0x9fbee1UL, 0xa0bee1UL, 0xa8bee1UL, 0xa1bee1UL, 
  0xa9bee1UL, 0xa2bee1UL, 0xaabee1UL, 0xa3bee1UL, 0xabbee1UL, 0xa4bee1UL, 0xacbee1UL, 
  0xa5bee1UL, 0xadbee1UL, 0xa6bee1UL, 0xaebee1UL, 0xa7bee1UL, 0xafbee1UL, 0xb0bee1UL, 
  0xb8bee1UL, 0xb1bee1UL, 0xb9bee1UL, 0xb0bde1UL, 0xbabee1UL, 0xb1bde1UL, 0xbbbee1UL, 
  0xb3bee1UL, 0xbcbee1UL, 0xb9ceUL, 0xbebee1UL, 0xb2bde1UL, 0x88bfe1UL, 0xb3bde1UL, 
  0x89bfe1UL, 0xb4bde1UL, 0x8abfe1UL, 0xb5bde1UL, 0x8bbfe1UL, 0x83bfe1UL, 0x8cbfe1UL, 
  0x90bfe1UL, 0x98bfe1UL, 0x91bfe1UL, 0x99bfe1UL, 0xb6bde1UL, 0x9abfe1UL, 0xb7bde1UL, 
  0x9bbfe1UL, 0xa0bfe1UL, 0xa8bfe1UL, 0xa1bfe1UL, 0xa9bfe1UL, 0xbabde1UL, 0xaabfe1UL, 
  0xbbbde1UL, 0xabbfe1UL, 0xa5bfe1UL, 0xacbfe1UL, 0xb8bde1UL, 0xb8bfe1UL, 0xb9bde1UL, 
  0xb9bfe1UL, 0xbcbde1UL, 0xbabfe1UL, 0xbdbde1UL, 0xbbbfe1UL, 0xb3bfe1UL, 0xbcbfe1UL, 
  0x89cfUL, 0xa684e2UL, 0x6bUL, 0xaa84e2UL, 0xa5c3UL, 0xab84e2UL, 0x8e85e2UL, 
  0xb284e2UL, 0xb085e2UL, 0xa085e2UL, 0xb185e2UL, 0xa185e2UL, 0xb285e2UL, 0xa285e2UL, 
  0xb385e2UL, 0xa385e2UL, 0xb485e2UL, 0xa485e2UL, 0xb585e2UL, 0xa585e2UL, 0xb685e2UL, 
  0xa685e2UL, 0xb785e2UL, 0xa785e2UL, 0xb885e2UL, 0xa885e2UL, 0xb985e2UL, 0xa985e2UL, 
  0xba85e2UL, 0xaa85e2UL, 0xbb85e2UL, 0xab85e2UL, 0xbc85e2UL, 0xac85e2UL, 0xbd85e2UL, 
  0xad85e2UL, 0xbe85e2UL, 0xae85e2UL, 0xbf85e2UL, 0xaf85e2UL, 0x8486e2UL, 0x8386e2UL, 
  0x9093e2UL, 0xb692e2UL, 0x9193e2UL, 0xb792e2UL, 0x9293e2UL, 0xb892e2UL, 0x9393e2UL, 
  0xb992e2UL, 0x9493e2UL, 0xba92e2UL, 0x9593e2UL, 0xbb92e2UL, 0x9693e2UL, 0xbc92e2UL, 
  0x9793e2UL, 0xbd92e2UL, 0x9893e2UL, 0xbe92e2UL, 0x9993e2UL, 0xbf92e2UL, 0x9a93e2UL, 
  0x8093e2UL, 0x9b93e2UL, 0x8193e2UL, 0x9c93e2UL, 0x8293e2UL, 0x9d93e2UL, 0x8393e2UL, 
  0x9e93e2UL, 0x8493e2UL, 0x9f93e2UL, 0x8593e2UL, 0xa093e2UL, 0x8693e2UL, 0xa193e2UL, 
  0x8793e2UL, 0xa293e2UL, 0x8893e2UL, 0xa393e2UL, 0x8993e2UL, 0xa493e2UL, 0x8a93e2UL, 
  0xa593e2UL, 0x8b93e2UL, 0xa693e2UL, 0x8c93e2UL, 0xa793e2UL, 0x8d93e2UL, 0xa893e2UL, 
  0x8e93e2UL, 0xa993e2UL, 0x8f93e2UL, 0xb0b0e2UL, 0x80b0e2UL, 0xb1b0e2UL, 0x81b0e2UL, 
  0xb2b0e2UL, 0x82b0e2UL, 0xb3b0e2UL, 0x83b0e2UL, 0xb4b0e2UL, 0x84b0e2UL, 0xb5b0e2UL, 
  0x85b0e2UL, 0xb6b0e2UL, 0x86b0e2UL, 0xb7b0e2UL, 0x87b0e2UL, 0xb8b0e2UL, 0x88b0e2UL, 
  0xb9b0e2UL, 0x89b0e2UL, 0xbab0e2UL, 0x8ab0e2UL, 0xbbb0e2UL, 0x8bb0e2UL, 0xbcb0e2UL, 
  0x8cb0e2UL, 0xbdb0e2UL, 0x8db0e2UL, 0xbeb0e2UL, 0x8eb0e2UL, 0xbfb0e2UL, 0x8fb0e2UL, 
  0x80b1e2UL, 0x90b0e2UL, 0x81b1e2UL, 0x91b0e2UL, 0x82b1e2UL, 0x92b0e2UL, 0x83b1e2UL, 
  0x93b0e2UL, 0x84b1e2UL, 0x94b0e2UL, 0x85b1e2UL, 0x95b0e2UL, 0x86b1e2UL, 0x96b0e2UL, 
  0x87b1e2UL, 0x97b0e2UL, 0x88b1e2UL, 0x98b0e2UL, 0x89b1e2UL, 0x99b0e2UL, 0x8ab1e2UL, 
  0x9ab0e2UL, 0x8bb1e2UL, 0x9bb0e2UL, 0x8cb1e2UL, 0x9cb0e2UL, 0x8db1e2UL, 0x9db0e2UL, 
  0x8eb1e2UL, 0x9eb0e2UL, 0x8fb1e2UL, 0x9fb0e2UL, 0x90b1e2UL, 0xa0b0e2UL, 0x91b1e2UL, 
  0xa1b0e2UL, 0x92b1e2UL, 0xa2b0e2UL, 0x93b1e2UL, 0xa3b0e2UL, 0x94b1e2UL, 0xa4b0e2UL, 
  0x95b1e2UL, 0xa5b0e2UL, 0x96b1e2UL, 0xa6b0e2UL, 0x97b1e2UL, 0xa7b0e2UL, 0x98b1e2UL, 
  0xa8b0e2UL, 0x99b1e2UL, 0xa9b0e2UL, 0x9ab1e2UL, 0xaab0e2UL, 0x9bb1e2UL, 0xabb0e2UL, 
  0x9cb1e2UL, 0xacb0e2UL, 0x9db1e2UL, 0xadb0e2UL, 0x9eb1e2UL, 0xaeb0e2UL, 0xa1b1e2UL, 
  0xa0b1e2UL, 0xabc9UL, 0xa2b1e2UL, 0xbdb5e1UL, 0xa3b1e2UL, 0xbdc9UL, 0xa4b1e2UL, 
  0xa8b1e2UL, 0xa7b1e2UL, 0xaab1e2UL, 0xa9b1e2UL, 0xacb1e2UL, 0xabb1e2UL, 0x91c9UL, 
  0xadb1e2UL, 0xb1c9UL, 0xaeb1e2UL, 0x90c9UL, 0xafb1e2UL, 0xb3b1e2UL, 0xb2b1e2UL, 
  0xb6b1e2UL, 0xb5b1e2UL, 0x81b2e2UL, 0x80b2e2UL, 0x83b2e2UL, 0x82b2e2UL, 0x85b2e2UL, 
  0x84b2e2UL, 0x87b2e2UL, 0x86b2e2UL, 0x89b2e2UL, 0x88b2e2UL, 0x8bb2e2UL, 0x8ab2e2UL, 
  0x8db2e2UL, 0x8cb2e2UL, 0x8fb2e2UL, 0x8eb2e2UL, 0x91b2e2UL, 0x90b2e2UL, 0x93b2e2UL, 
  0x92b2e2UL, 0x95b2e2UL, 0x94b2e2UL, 0x97b2e2UL, 0x96b2e2UL, 0x99b2e2UL, 0x98b2e2UL, 
  0x9bb2e2UL, 0x9ab2e2UL, 0x9db2e2UL, 0x9cb2e2UL, 0x9fb2e2UL, 0x9eb2e2UL, 0xa1b2e2UL, 
  0xa0b2e2UL, 0xa3b2e2UL, 0xa2b2e2UL, 0xa5b2e2UL, 0xa4b2e2UL, 0xa7b2e2UL, 0xa6b2e2UL, 
  0xa9b2e2UL, 0xa8b2e2UL, 0xabb2e2UL, 0xaab2e2UL, 0xadb2e2UL, 0xacb2e2UL, 0xafb2e2UL, 
  0xaeb2e2UL, 0xb1b2e2UL, 0xb0b2e2UL, 0xb3b2e2UL, 0xb2b2e2UL, 0xb5b2e2UL, 0xb4b2e2UL, 
  0xb7b2e2UL, 0xb6b2e2UL, 0xb9b2e2UL, 0xb8b2e2UL, 0xbbb2e2UL, 0xbab2e2UL, 0xbdb2e2UL, 
  0xbcb2e2UL, 0xbfb2e2UL, 0xbeb2e2UL, 0x81b3e2UL, 0x80b3e2UL, 0x83b3e2UL, 0x82b3e2UL, 
  0x85b3e2UL, 0x84b3e2UL, 0x87b3e2UL, 0x86b3e2UL, 0x89b3e2UL, 0x88b3e2UL, 0x8bb3e2UL, 
  0x8ab3e2UL, 0x8db3e2UL, 0x8cb3e2UL, 0x8fb3e2UL, 0x8eb3e2UL, 0x91b3e2UL, 0x90b3e2UL, 
  0x93b3e2UL, 0x92b3e2UL, 0x95b3e2UL, 0x94b3e2UL, 0x97b3e2UL, 0x96b3e2UL, 0x99b3e2UL, 
  0x98b3e2UL, 0x9bb3e2UL, 0x9ab3e2UL, 0x9db3e2UL, 0x9cb3e2UL, 0x9fb3e2UL, 0x9eb3e2UL, 
  0xa1b3e2UL, 0xa0b3e2UL, 0xa3b3e2UL, 0xa2b3e2UL, 0x8199eaUL, 0x8099eaUL, 0x8399eaUL, 
  0x8299eaUL, 0x8599eaUL, 0x8499eaUL, 0x8799eaUL, 0x8699eaUL, 0x8999eaUL, 0x8899eaUL, 
  0x8b99eaUL, 0x8a99eaUL, 0x8d99eaUL, 0x8c99eaUL, 0x8f99eaUL, 0x8e99eaUL, 0x9199eaUL, 
  0x9099eaUL, 0x9399eaUL, 0x9299eaUL, 0x9599eaUL, 0x9499eaUL, 0x9799eaUL, 0x9699eaUL, 
  0x9999eaUL, 0x9899eaUL, 0x9b99eaUL, 0x9a99eaUL, 0x9d99eaUL, 0x9c99eaUL, 0x9f99eaUL, 
  0x9e99eaUL, 0xa399eaUL, 0xa299eaUL, 0xa599eaUL, 0xa499eaUL, 0xa799eaUL, 0xa699eaUL, 
  0xa999eaUL, 0xa899eaUL, 0xab99eaUL, 0xaa99eaUL, 0xad99eaUL, 0xac99eaUL, 0x819aeaUL, 
  0x809aeaUL, 0x839aeaUL, 0x829aeaUL, 0x859aeaUL, 0x849aeaUL, 0x879aeaUL, 0x869aeaUL, 
  0x899aeaUL, 0x889aeaUL, 0x8b9aeaUL, 0x8a9aeaUL, 0x8d9aeaUL, 0x8c9aeaUL, 0x8f9aeaUL, 
  0x8e9aeaUL, 0x919aeaUL, 0x909aeaUL, 0x939aeaUL, 0x929aeaUL, 0x959aeaUL, 0x949aeaUL, 
  0x979aeaUL, 0x969aeaUL, 0xa39ceaUL, 0xa29ceaUL, 0xa59ceaUL, 0xa49ceaUL, 0xa79ceaUL, 
  0xa69ceaUL, 0xa99ceaUL, 0xa89ceaUL, 0xab9ceaUL, 0xaa9ceaUL, 0xad9ceaUL, 0xac9ceaUL, 
  0xaf9ceaUL, 0xae9ceaUL, 0xb39ceaUL, 0xb29ceaUL, 0xb59ceaUL, 0xb49ceaUL, 0xb79ceaUL, 
  0xb69ceaUL, 0xb99ceaUL, 0xb89ceaUL, 0xbb9ceaUL, 0xba9ceaUL, 0xbd9ceaUL, 0xbc9ceaUL, 
  0xbf9ceaUL, 0xbe9ceaUL, 0x819deaUL, 0x809deaUL, 0x839deaUL, 0x829deaUL, 0x859deaUL, 
  0x849deaUL, 0x879deaUL, 0x869deaUL, 0x899deaUL, 0x889deaUL, 0x8b9deaUL, 0x8a9deaUL, 
  0x8d9deaUL, 0x8c9deaUL, 0x8f9deaUL, 0x8e9deaUL, 0x919deaUL, 0x909deaUL, 0x939deaUL, 
  0x929deaUL, 0x959deaUL, 0x949deaUL, 0x979deaUL, 0x969deaUL, 0x999deaUL, 0x989deaUL, 
  0x9b9deaUL, 0x9a9deaUL, 0x9d9deaUL, 0x9c9deaUL, 0x9f9deaUL, 0x9e9deaUL, 0xa19deaUL, 
  0xa09deaUL, 0xa39deaUL, 0xa29deaUL, 0xa59deaUL, 0xa49deaUL, 0xa79deaUL, 0xa69deaUL, 
  0xa99deaUL, 0xa89deaUL, 0xab9deaUL, 0xaa9deaUL, 0xad9deaUL, 0xac9deaUL, 0xaf9deaUL, 
  0xae9deaUL, 0xba9deaUL, 0xb99deaUL, 0xbc9deaUL, 0xbb9deaUL, 0xb9b5e1UL, 0xbd9deaUL, 
  0xbf9deaUL, 0xbe9deaUL, 0x819eeaUL, 0x809eeaUL, 0x839eeaUL, 0x829eeaUL, 0x859eeaUL, 
  0x849eeaUL, 0x879eeaUL, 0x869eeaUL, 0x8c9eeaUL, 0x8b9eeaUL, 0x81bdefUL, 0xa1bcefUL, 
  0x82bdefUL, 0xa2bcefUL, 0x83bdefUL, 0xa3bcefUL, 0x84bdefUL, 0xa4bcefUL, 0x85bdefUL, 
  0xa5bcefUL, 0x86bdefUL, 0xa6bcefUL, 0x87bdefUL, 0xa7bcefUL, 0x88bdefUL, 0xa8bcefUL, 
  0x89bdefUL, 0xa9bcefUL, 0x8abdefUL, 0xaabcefUL, 0x8bbdefUL, 0xabbcefUL, 0x8cbdefUL, 
  0xacbcefUL, 0x8dbdefUL, 0xadbcefUL, 0x8ebdefUL, 0xaebcefUL, 0x8fbdefUL, 0xafbcefUL, 
  0x90bdefUL, 0xb0bcefUL, 0x91bdefUL, 0xb1bcefUL, 0x92bdefUL, 0xb2bcefUL, 0x93bdefUL, 
  0xb3bcefUL, 0x94bdefUL, 0xb4bcefUL, 0x95bdefUL, 0xb5bcefUL, 0x96bdefUL, 0xb6bcefUL, 
  0x97bdefUL, 0xb7bcefUL, 0x98bdefUL, 0xb8bcefUL, 0x99bdefUL, 0xb9bcefUL, 0x9abdefUL, 
  0xbabcefUL, 0xa89090f0UL, 0x809090f0UL, 0xa99090f0UL, 0x819090f0UL, 0xaa9090f0UL, 
  0x829090f0UL, 0xab9090f0UL, 0x839090f0UL, 0xac9090f0UL, 0x849090f0UL, 0xad9090f0UL, 
  0x859090f0UL, 0xae9090f0UL, 0x869090f0UL, 0xaf9090f0UL, 0x879090f0UL, 0xb09090f0UL, 
  0x889090f0UL, 0xb19090f0UL, 0x899090f0UL, 0xb29090f0UL, 0x8a9090f0UL, 0xb39090f0UL, 
  0x8b9090f0UL, 0xb49090f0UL, 0x8c9090f0UL, 0xb59090f0UL, 0x8d9090f0UL, 0xb69090f0UL, 
  0x8e9090f0UL, 0xb79090f0UL, 0x8f9090f0UL, 0xb89090f0UL, 0x909090f0UL, 0xb99090f0UL, 
  0x919090f0UL, 0xba9090f0UL, 0x929090f0UL, 0xbb9090f0UL, 0x939090f0UL, 0xbc9090f0UL, 
  0x949090f0UL, 0xbd9090f0UL, 0x959090f0UL, 0xbe9090f0UL, 0x969090f0UL, 0xbf9090f0UL, 
  0x979090f0UL, 0x809190f0UL, 0x989090f0UL, 0x819190f0UL, 0x999090f0UL, 0x829190f0UL, 
  0x9a9090f0UL, 0x839190f0UL, 0x9b9090f0UL, 0x849190f0UL, 0x9c9090f0UL, 0x859190f0UL, 
  0x9d9090f0UL, 0x869190f0UL, 0x9e9090f0UL, 0x879190f0UL, 0x9f9090f0UL, 0x889190f0UL, 
  0xa09090f0UL, 0x899190f0UL, 0xa19090f0UL, 0x8a9190f0UL, 0xa29090f0UL, 0x8b9190f0UL, 
  0xa39090f0UL, 0x8c9190f0UL, 0xa49090f0UL, 0x8d9190f0UL, 0xa59090f0UL, 0x8e9190f0UL, 
  0xa69090f0UL, 0x8f9190f0UL, 0xa79090f0UL
  };


#define UTF_8_FOLLOWERS(cur,i,pwd,input) followers = utf8_followers[cur]; \
  if (followers == -1)\
    {\
    printf (" Error: Unexpected continuation byte 0x%02X at pos %lu in UTF-8 string.\n",\
            cur, (unsigned long)i);\
    return pwdgen_make_string_invalid(pwd, input);\
    }
#define UTF_8_SKIP(cur,i,pwd,input) UTF_8_FOLLOWERS(cur,i,pwd,input); i+=followers+1;

#endif
